<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}
/**
 * Child theme functions file
 *
 * @package Mixano
 * @author wowlayers
 * @link https://wowlayers.com
 *
 *
 * You can add extra functions/code in this file!
 * Do not modify the parent theme functions.php file as you will lose all code on theme update !!!
 * You can also override any parent theme file by copying it into the child theme. Make sure to maintain directory structure.
 * More info here > https://developer.wordpress.org/themes/advanced-topics/child-themes/
 *
 * 
 */

/*
====================================================================================================================
mixano_enqueue_child_styles() - enqueue the child theme and main theme CSS files - do NOT remove this function and action !!!
====================================================================================================================
*/
add_action( 'wp_enqueue_scripts', 'mixano_enqueue_child_styles', 10 );
function mixano_enqueue_child_styles() {
 
	//parent theme css style
    $parent_style = 'mixano-style';
 
	//enqueue parent theme css
    wp_enqueue_style( $parent_style, get_template_directory_uri() . '/style.css' );
	
	//enqueue child theme css
    wp_enqueue_style( 'child-style',
        get_stylesheet_directory_uri() . '/style.css',
        array( $parent_style ),
        wp_get_theme()->get('Version')
    );
}
?>