<?php
  // Create a section
  CSF::createSection( $prefix, array(
    'id'  => 'ad',
    'title'  => esc_html__( 'Advertisement','mixano' ),
	'icon'   => 'fa fa-audio-description',
    'fields' => array(

    array(
      'id'    => 'ads',
      'type'  => 'tabbed',
	  'sanitize' => false,
      'title' => esc_html__('Select ad zone','mixano' ),
      'tabs'  => array(

        
		
		array(
          'title'  => esc_html__('Header','mixano' ),
          'fields' => array(

				array(
				  'id'    => 'enable-header-ad',
				  'type'  => 'switcher',
				  'title' => esc_html__( 'Enable','mixano' ),
				  'desc' => esc_html__( 'Enable header ad zone. Recommended size 728x90','mixano' ),
				  'default' => '0',
				),	
				array(
				  'id'         => 'header-ad-type',
				  'type'       => 'button_set',
				  'title'      => esc_html__( 'Ad type','mixano' ),
				  'desc'      => esc_html__( 'Select your advertisement type. Banner or code.','mixano' ),
				  'options'    => array(
					'banner' => esc_html__('Banner','mixano' ),
					'code' => esc_html__('Code','mixano' ),
				  ),
				  'default'    => 'code'
				),
				 array(
				  'id'           => 'header-ad-media',
				  'type'         => 'upload',
				  'title'        => esc_html__( 'Banner image','mixano' ),
				  'library'      => 'image',
				  'placeholder'  => 'http://',
				  'button_title' => esc_html__('Add Image','mixano' ),
				  'remove_title' => esc_html__('Remove Image','mixano' ),
				  'dependency' => array( 'header-ad-type', '==', 'banner' ),
				),		
				array(
				  'id'      => 'header-ad-url',
				  'type'    => 'text',
				  'title'   => esc_html__( 'Banner URL','mixano' ),
				  'desc'   => esc_html__( 'Where should the banner link to. Example : http://example.com','mixano' ),
				  'default' => '',
				  'dependency' => array( 'header-ad-type', '==', 'banner' ),
				),
				array(
				  'id'      => 'header-ad-code',
				  'type'    => 'code_editor',  
				  'title'   => esc_html__( 'Ad code','mixano' ),	
				  'desc' => esc_html__( 'Enter ad code here.', 'mixano' ),
				  'dependency' => array( 'header-ad-type', '==', 'code' ),		  
				),	

		  
          ),
        ),

        
		
		array(
          'title'  => esc_html__('Grid Posts','mixano' ),
          'fields' => array(
		  
				array(
				  'id'    => 'enable-post-ad',
				  'type'  => 'switcher',
				  'title' => esc_html__( 'Enable','mixano' ),
				  'desc' => esc_html__( 'Enable ad zone inside grid posts.','mixano' ),
				  'default' => '0',
				),
				array(
				  'id'      => 'post-ad-position',
				  'type'    => 'slider',
				  'title'   => esc_html__( 'Ad position','mixano' ),
				  'desc' => esc_html__( 'Select the order of ad inside post grid. Default 5','mixano' ),
				  'min'     => 1,
				  'max'     => 30,
				  'step'    => 1,
				  'default' => 5,
				  'attributes' => array(
						'width' => '100px'
				  ),
				),
				array(
				  'id'         => 'post-ad-type',
				  'type'       => 'button_set',
				  'title'      => esc_html__( 'Ad type','mixano' ),
				  'desc'      => esc_html__( 'Select your advertisement type. Banner or code.','mixano' ),
				  'options'    => array(
					'banner' => esc_html__('Banner','mixano' ),
					'code' => esc_html__('Code','mixano' ),
				  ),
				  'default'    => 'code'
				),
				 array(
				  'id'           => 'post-ad-media',
				  'type'         => 'upload',
				  'title'        => esc_html__( 'Banner image','mixano' ),
				  'library'      => 'image',
				  'placeholder'  => 'http://',
				  'button_title' => esc_html__('Add Image','mixano' ),
				  'remove_title' => esc_html__('Remove Image','mixano' ),
				  'dependency' => array( 'post-ad-type', '==', 'banner' ),
				),		
				array(
				  'id'      => 'post-ad-url',
				  'type'    => 'text',
				  'title'   => esc_html__( 'Banner URL','mixano' ),
				  'desc'   => esc_html__( 'Where should the banner link to. Example : http://example.com','mixano' ),
				  'default' => '',
				  'dependency' => array( 'post-ad-type', '==', 'banner' ),
				),			
				array(
				  'id'      => 'post-ad-code',
				  'type'    => 'code_editor',
				  'title'   => esc_html__( 'Ad code','mixano' ),
				  'desc' => esc_html__( 'Enter ad code here.', 'mixano' ),
				  'dependency' => array( 'post-ad-type', '==', 'code' ),		  
				),
				array(
				  'id'      => 'post-ad-after',
				  'type'    => 'text',
				  'title'   => esc_html__( 'Text after ad . I.e Advertisement','mixano' ),
				  'desc'   => esc_html__( 'Add a text after the banner. This field is optional','mixano' ),
				),					
		  
          ),
        ),		
		
		
		array(
		  'title'  => esc_html__('Single - above post','mixano' ),
          'fields' => array(
		  
				array(
				  'id'    => 'enable-single1-ad',
				  'type'  => 'switcher',
				  'title' => esc_html__( 'Enable','mixano' ),
				  'desc' => esc_html__( 'Enable ad zone on single post - above post content','mixano' ),
				  'default' => '0',
				),
				array(
				  'id'         => 'single1-ad-type',
				  'type'       => 'button_set',
				  'title'      => esc_html__( 'Ad type','mixano' ),
				  'desc'      => esc_html__( 'Select your advertisement type. Banner or code.','mixano' ),
				  'options'    => array(
					'banner' => esc_html__('Banner','mixano' ),
					'code' => esc_html__('Code','mixano' ),
				  ),
				  'default'    => 'code'
				),
				 array(
				  'id'           => 'single1-ad-media',
				  'type'         => 'upload',
				  'title'        => esc_html__( 'Banner image','mixano' ),
				  'library'      => 'image',
				  'placeholder'  => 'http://',
				  'button_title' => esc_html__('Add Image','mixano' ),
				  'remove_title' => esc_html__('Remove Image','mixano' ),
				  'dependency' => array( 'single1-ad-type', '==', 'banner' ),
				),		
				array(
				  'id'      => 'single1-ad-url',
				  'type'    => 'text',
				  'title'   => esc_html__( 'Banner URL','mixano' ),
				  'desc'   => esc_html__( 'Where should the banner link to. Example : http://example.com','mixano' ),
				  'default' => '',
				  'dependency' => array( 'single1-ad-type', '==', 'banner' ),
				),
				array(
				  'id'      => 'single1-ad-code',
				  'type'    => 'code_editor',
				  'title'   => esc_html__( 'Ad code','mixano' ),
				  'desc' => esc_html__( 'Enter ad code here.', 'mixano' ),
				  'dependency' => array( 'single1-ad-type', '==', 'code' ),		  
				),		  
		  
          ),
        ),		
		
		
		array(
		  'title'  => esc_html__('Single - bellow post','mixano' ),
          'fields' => array(
		  
				array(
				  'id'    => 'enable-single2-ad',
				  'type'  => 'switcher',
				  'title' => esc_html__( 'Enable','mixano' ),
				  'desc' => esc_html__( 'Enable ad zone on single post - bellow post content','mixano' ),
				  'default' => '0',
				),
				array(
				  'id'         => 'single2-ad-type',
				  'type'       => 'button_set',
				  'title'      => esc_html__( 'Ad type','mixano' ),
				  'desc'      => esc_html__( 'Select your advertisement type. Banner or code.','mixano' ),
				  'options'    => array(
					'banner' => esc_html__('Banner','mixano' ),
					'code' => esc_html__('Code','mixano' ),
				  ),
				  'default'    => 'code'
				),
				 array(
				  'id'           => 'single2-ad-media',
				  'type'         => 'upload',
				  'title'        => esc_html__( 'Banner image','mixano' ),
				  'library'      => 'image',
				  'placeholder'  => 'http://',
				  'button_title' => esc_html__('Add Image','mixano' ),
				  'remove_title' => esc_html__('Remove Image','mixano' ),
				  'dependency' => array( 'single2-ad-type', '==', 'banner' ),
				),		
				array(
				  'id'      => 'single2-ad-url',
				  'type'    => 'text',
				  'title'   => esc_html__( 'Banner URL','mixano' ),
				  'desc'   => esc_html__( 'Where should the banner link to. Example : http://example.com','mixano' ),
				  'default' => '',
				  'dependency' => array( 'single2-ad-type', '==', 'banner' ),
				),
				array(
				  'id'      => 'single2-ad-code',
				  'type'    => 'code_editor',
				  'title'   => esc_html__( 'Ad code','mixano' ),
				  'desc' => esc_html__( 'Enter ad code here.', 'mixano' ),
				  'dependency' => array( 'single2-ad-type', '==', 'code' ),		  
				),		  
		  
          ),
        ),		
		
		
		array(
		  'title'  => esc_html__('Widget','mixano' ),
          'fields' => array(
		  
				array(
				  'id'    => 'widget-ad-info',
				  'type'    => 'notice',
				  'style'   => 'success',
				  'content' => esc_html__( 'For advertisement inside widgets locate the widget "Mixano Ad" at Appearance > Widgets','mixano' ),
				),
          ),
        ),
		
		

      ),
	  
	   'default' => array(
			//header ad
			'enable-header-ad'  => '0',
			'header-ad-type'  => 'code',
			'header-ad-url'  => '',
			
			//post grid ad
			'enable-post-ad'  => '0',
			'post-ad-position'  => '5',
			'post-ad-type'  => 'code',
			'post-ad-url'  => '',	
			'post-ad-after'  => '',
			
			//single above post content
			'enable-single1-ad'  => '0',
			'single1-ad-type'  => 'code',
			'single1-ad-url'  => '',
			
			//single bellow post content
			'enable-single2-ad'  => '0',
			'single2-ad-type'  => 'code',
			'single2-ad-url'  => '',
		),
	  
    ),


	
    )
  ) );