<?php
/*
=================================================================================================================
mixano_get_post_views - Get post views count
=================================================================================================================
*/
function mixano_get_post_views() {
    $count = get_post_meta( get_the_ID(), 'post-views-count', true );
	if ( $count < 1 ){
		$views = esc_html__( '0 Views', 'mixano' );
	}	
	elseif ( $count == 1 ){
		$views = esc_html__( ' View', 'mixano' );
	}	
	else{
		$views = esc_html__( ' Views', 'mixano' );
	}
    return $count . $views;
}

/*
=================================================================================================================
mixano_set_post_views - Set post views count
=================================================================================================================
*/
function mixano_set_post_views() {
    $key = 'post-views-count';
    $post_id = get_the_ID();
    $count = (int) get_post_meta( $post_id, $key, true );
    $count++;
    update_post_meta( $post_id, $key, $count );
}


/*
=================================================================================================================
mixano_count_downloads() - Count freebie downloads - for ajax
=================================================================================================================
*/
add_action( 'wp_ajax_mixano_count_downloads', 'mixano_count_downloads' );
add_action( 'wp_ajax_nopriv_mixano_count_downloads', 'mixano_count_downloads' );

function mixano_count_downloads() {
	
	$nonce = $_POST['nonce'];
	if ( ! wp_verify_nonce( $nonce, 'mixano_count_downloads' ) ){
		die ( 'cheatin?');
	}
	
	$post_id = sanitize_text_field( $_POST['post_id'] );   
	
	$download_counter = get_post_meta( $post_id, 'download-counter', true );
	if( !$download_counter ) {
		$download_counter = 0;
	}
   
	$response = update_post_meta( $post_id, 'download-counter', ++$download_counter );
	
	if( $response ){
		die('success');
	}

    die('fail');
}

/*
=================================================================================================================
mixano_get_downloads - Get post downloads count
=================================================================================================================
*/
function mixano_get_downloads() {
    $count = get_post_meta( get_the_ID(), 'download-counter', true );
	$downloads =  $count <= 1 ?   esc_html__( ' Download', 'mixano' ) :  esc_html__( ' Downloads', 'mixano' );
    return $count . $downloads;
}