<?php
/*
=================================================================================================================
mixano_option - Retrieve an option
=================================================================================================================
*/
if ( !function_exists ( 'mixano_option' ) ){
	function mixano_option( $value , $from_array_value = NULL ){
		
		//demo purposes
		if( defined( 'MIXANO_DEMO' ) ){
			if ( is_page( 'top-advertisement' ) )   	{ $options = get_option( 'mixano_options_demo_1' ); }
			if ( is_page( 'posts-advertisement' ) ) 	{ $options = get_option( 'mixano_options_demo_2' ); }
			if ( is_page( 'home-3' ) ) 					{ $options = get_option( 'mixano_options_demo_3' ); }
			if ( is_page( 'home-2' ) ) 					{ $options = get_option( 'mixano_options_demo_4' ); }
			if ( is_page( 'home-1' ) ) 					{ $options = get_option( 'mixano_options_demo_5' ); }
			if ( is_page( 'home-4' ) ) 					{ $options = get_option( 'mixano_options_demo_6' ); }
			
			if ( is_page( 'top-advertisement' ) || is_page( 'posts-advertisement' ) || is_page( 'home-4' ) || is_page( 'home-3' ) || is_page( 'home-2' ) || is_page( 'home-1' ) ){
				
				if ( $from_array_value ){
					return $options[ $value ][ $from_array_value ];
				}
				return $options[ $value ];		
			}
		}
		

		
		$options = get_option( 'mixano_options' );
		if ( !empty ( $options ) ){
			if ( isset ( $options[ $value ] ) ) {
					if ( $from_array_value ){
						return $options[ $value ][ $from_array_value ];
					}
				return $options[ $value ];
			}
		}
		
		else{
			$options = array (
			  'enable-cursor' => '0',
			  'enable-sticky' => '1',
			  'social-style' => 'text',
			  'image-sizes' => 'cropped',
			  'logo-width' => '146',
			  'enable-social' => '0',
			  'enable-author' => '0',
			  'responsive-trigger' => 'default',
			  'responsive-trigger-color' => '#2c2d3c',
			  'responsive-search-color' => '#2c2d3c',			  
			  'color-scheme' => 'skins',
			  'skin-colors' => 'set1',
			  'colors' => 
			  array (
				'color-1' => '#ff4f37',
				'color-2' => '#fe803b',
				'color-3' => '#707182',
				'color-4' => '#2f3150',
				'color-5' => '#0e1121',
			  ),
			  'body-typography' => 
			  array (
				'font-family' => '',
				'font-weight' => '',
				'font-style' => '',
				'type' => '',
				'unit' => 'px',
			  ),
			  'heading-typography' => 
			  array (
				'font-family' => '',
				'font-weight' => '',
				'font-style' => '',
				'type' => '',
				'unit' => 'px',
			  ),
			  'blog-layout' => 'grid-4',
			  'blog-single-layout' => 'sidebar-fancy',
			  'enable-social-share' => '1',
			  'big-cat-typography' => 
			  array (
				'font-size' => '120',
				'unit' => 'px',
			  ),			  
			  'enable-intro' => '0',
			  'welcome-intro' => esc_html__( 'Hello there', 'mixano' ),
			  'welcome-big-intro' => esc_html__( 'Welcome', 'mixano' ),
			  'small-headline-intro' => esc_html__( 'Who are we', 'mixano' ),
			  'headline-intro' => sprintf( '%s<br>%s<br>%s', esc_html__( 'We\'re' , 'mixano' ), esc_html__( ' brand' , 'mixano' ), esc_html__( ' builders' , 'mixano' ) ),
			  'headline-intro-size' => 'x-large',
			  'small-headline-intro-2' => esc_html__( 'What we do', 'mixano' ),
			  'headline-intro-2' => sprintf( '%s<br>%s<br>%s', esc_html__( 'We collect.' , 'mixano' ), esc_html__( 'Good things.' , 'mixano' ), esc_html__( 'From the web.' , 'mixano' ) ),
			  'button-intro' => esc_html__( 'Explore', 'mixano' ),
			  'small-headline-intro-3' => esc_html__( 'Visit us', 'mixano' ),
			  'headline-intro-3' => sprintf( '%s<br>%s<br>%s', esc_html__( 'Amsterdam 1024 NL,' , 'mixano' ), esc_html__( 'The Netherlands,' , 'mixano' ), esc_html__( '+(49) 743 819 093' , 'mixano' ) ),
			  'bg-intro' => 
			  array (
				'background-color' => '',
				'background-image' => 
				array (
				  'url' => '',
				  'id' => '',
				  'width' => '',
				  'height' => '',
				  'thumbnail' => '',
				  'alt' => '',
				  'title' => '',
				  'description' => '',
				),
				'background-position' => '',
				'background-repeat' => '',
				'background-attachment' => '',
				'background-size' => '',
			  ),
			  'overlay-intro' => '',
			  'enable-popular' => '0',
			  'welcome-popular' => esc_html__( 'Popular stuff', 'mixano' ),
			  'small-headline-popular' => esc_html__( 'Popular', 'mixano' ),
			  'headline-popular' => esc_html__( 'A quick list with most popular articles', 'mixano' ),
			  'headline-popular-2' => esc_html__( 'Crème de la crème.', 'mixano' ),
			  'small-headline-popular-2' => esc_html__( 'Browse our most downloaded resources.I\'m baby keffiyeh semiotics la croix pour-over.', 'mixano' ),
			  'carousel-popular' => '5',
			  'carousel-nr-posts' => '10',
			  'enable-carousel-only' => '0',
			  'mixano_facebook' => '#',
			  'mixano_twitter' => '#',
			  'mixano_youtube' => '',
			  'mixano_linkedin' => '',
			  'mixano_pinterest' => '',
			  'mixano_dribbble' => '',
			  'mixano_instagram' => '',
			  'mixano_behance' => '',
			  'mixano_patreon' => '',
			  'mixano_telegram' => '',
			  'mixano_twitch' => '',
			  'mixano_tiktok' => '',
			  'enable-subscribe' => '0',
			  'welcome-subscribe' => esc_html__( 'Want more?', 'mixano' ),
			  'welcome-big-subscribe' => esc_html__( 'Subscribe', 'mixano' ),
			  'small-headline-subscribe' => esc_html__( 'Freebies addict?', 'mixano' ),
			  'headline-subscribe' => esc_html__( 'Subscribe', 'mixano' ),
			  'small-headline-subscribe-2' => esc_html__( 'No spammers', 'mixano' ),
			  'headline-subscribe-2' => sprintf( '%s<br>%s', esc_html__( 'We Never Spam.' , 'mixano' ), esc_html__( 'And Never Will.' , 'mixano' ) ),
			  'small-headline-subscribe-3' => esc_html__( 'Visit us', 'mixano' ),
			  'headline-subscribe-3' => sprintf( '%s<br>%s<br>%s', esc_html__( 'Amsterdam 1024 NL,' , 'mixano' ), esc_html__( 'The Netherlands,' , 'mixano' ), esc_html__( '+(49) 743 819 093' , 'mixano' ) ),
			  'url-subscribe' => '',
			  'button-subscribe' => esc_html__( 'Subscribe', 'mixano' ),
			  'placeholder-subscribe' => esc_html__( 'Add your e-mail and join.', 'mixano' ),
			  'bg-subscribe' => 
			  array (
				'background-color' => '#fff',
				'background-image' => 
				array (
				  'url' => '',
				  'id' => '',
				  'width' => '',
				  'height' => '',
				  'thumbnail' => '',
				  'alt' => '',
				  'title' => '',
				  'description' => '',
				),
				'background-position' => '',
				'background-repeat' => '',
				'background-attachment' => '',
				'background-size' => '',
			  ),
			  'enable-copyright' => '1',
			  'copyright' => esc_html__( 'Copyright Mixano 2020. A minimal and unique blogging theme.', 'mixano' ),
			  'enable-social-copyright' => '0',
			  'bg-footer' => 
			  array (
				'background-color' => '',
				'background-image' => 
				array (
				  'url' => '',
				  'id' => '',
				  'width' => '',
				  'height' => '',
				  'thumbnail' => '',
				  'alt' => '',
				  'title' => '',
				  'description' => '',
				),
				'background-position' => '',
				'background-repeat' => '',
				'background-attachment' => '',
				'background-size' => '',
			  ),
			  'ads' => 
			  array (
				'enable-header-ad' => '0',
				'header-ad-type' => 'code',
				'header-ad-media' => '',
				'header-ad-url' => '',
				'header-ad-code' => '',
				'enable-post-ad' => '0',
				'post-ad-position' => '5',
				'post-ad-type' => 'code',
				'post-ad-media' => '',
				'post-ad-url' => '',
				'post-ad-code' => '',
				'post-ad-after' => '',
				'enable-single1-ad' => '0',
				'single1-ad-type' => 'code',
				'single1-ad-media' => '',
				'single1-ad-url' => '',
				'single1-ad-code' => '',
				'enable-single2-ad' => '0',
				'single2-ad-type' => 'code',
				'single2-ad-media' => '',
				'single2-ad-url' => '',
				'single2-ad-code' => '',
			  ),
			  'lazy-load' => '0',
			  'js-footer' => '0',
			  'inline-css' => '0',
			  'disable-emoji' => '0',
			  'leverage-broswer-caching' => '0',
			  'enable-gzip' => '0',
			  'gutenberg' => 'enabled',
			  'contact-pages' => '',
			);		
		

			if ( $from_array_value ){
				return $options[ $value ][ $from_array_value ];
			}
			return $options[ $value ];	
		
		}
		return false;
	}
}
/*
=================================================================================================================
mixano_send_jQuery_in_footer() - send jquery to footer if switched on from theme options
=================================================================================================================
*/

if ( mixano_option( 'js-footer' ) == '1' ){
	function mixano_send_jQuery_in_footer () {
		global $wp_scripts;
		$wp_scripts->registered['jquery']->extra['group'] = 1;
		$wp_scripts->registered['jquery-core']->extra['group'] = 1;
		$wp_scripts->registered['jquery-migrate']->extra['group'] = 1;
	}
	add_action ( 'wp_head', 'mixano_send_jQuery_in_footer', 1, 0 );
}

/*
=================================================================================================================
mixano_critical_css() - inline critical css in head
=================================================================================================================
*/
function mixano_critical_css () { ?>
	<style id="critical-css"><?php get_template_part( 'templates/critical-css' ); ?></style>
<?php }

function mixano_dequeue_css () {
	wp_dequeue_style( 'mixano-style' );
}
if ( mixano_option( 'inline-css' ) == '1' ){
	add_action( 'wp_enqueue_scripts' , 'mixano_dequeue_css', 2 );	
	add_action( 'wp_head' , 'mixano_critical_css' , 2 );
}

/*
=================================================================================================================
mixano_deregister_gutenberg_styles() - Disable Gutenberg styles
=================================================================================================================
*/

if ( mixano_option( 'gutenberg' ) == 'remove' ){
	add_action( 'wp_print_styles', 'mixano_deregister_gutenberg_styles', 1 );
	function mixano_deregister_gutenberg_styles() {
		wp_dequeue_style( 'wp-block-library' );
	}
}

/*
=================================================================================================================
mixano_move_gutenberg_styles_footer() - Move Gutenberg styles in footer
=================================================================================================================
*/

if ( mixano_option( 'gutenberg' ) == 'move' ){
	add_action( 'wp_print_styles', 'mixano_deregister_gutenberg_head', 100 );
	function mixano_deregister_gutenberg_head() {
		wp_dequeue_style( 'wp-block-library' );
	}
	function mixano_move_gutenberg_styles_footer() {
		wp_enqueue_style( 'wp-block-library' , includes_url().'css/dist/block-library/style.min.css', array(), '1.0', 'all' );		
	}
	add_action( 'get_footer', 'mixano_move_gutenberg_styles_footer' );
}

/*
=================================================================================================================
mixano_disable_emojis() - disable wordpress emoji.js
=================================================================================================================
*/
if ( mixano_option( 'disable-emoji' ) == '1' ){
	function mixano_disable_emojis() {
		remove_action( 'wp_head', 'print_emoji_detection_script', 7 );
		remove_action( 'admin_print_scripts', 'print_emoji_detection_script' );
		remove_action( 'wp_print_styles', 'print_emoji_styles' );
		remove_action( 'admin_print_styles', 'print_emoji_styles' );	
		remove_filter( 'the_content_feed', 'wp_staticize_emoji' );
		remove_filter( 'comment_text_rss', 'wp_staticize_emoji' );	
		remove_filter( 'wp_mail', 'wp_staticize_emoji_for_email' );
		add_filter( 'tiny_mce_plugins', 'mixano_disable_emojis_tinymce' );
	}
	add_action( 'init', 'mixano_disable_emojis' );

	/**
	 * Filter function used to remove the tinymce emoji plugin.
	 * 
	 * @param    array  $plugins  
	 * @return   array             Difference betwen the two arrays
	 */
	function mixano_disable_emojis_tinymce( $plugins ) {
		if ( is_array( $plugins ) ) {
			return array_diff( $plugins, array( 'wpemoji' ) );
		} else {
			return array();
		}
	}
}


if ( mixano_option( 'leverage-broswer-caching' ) == '1' ){
	function mixano_add_leverage_broswer_caching() {
		//get htaccess file path
		$htaccess_file = wp_normalize_path( ABSPATH . '.htaccess' );

		if ( file_exists( $htaccess_file ) ) {
			
			$current_htaccess = file_get_contents( $htaccess_file );

			//unique string
			$unique = 'MIXANOBROWSERCACHE';
			
			$exists = false;

			//code is already added
			if ( strpos( $current_htaccess, $unique ) !== false ) {
				$exists = true;
			}
			
			//code is inexistent so we add it
			if ( ! $exists ) {

				$expires  = "\n";
				$expires .= '# MIXANOBROWSERCACHESTART Browser Caching' . "\n";
				$expires .= '<IfModule mod_expires.c>' . "\n";
				$expires .= 'ExpiresActive On' . "\n";
				$expires .= 'ExpiresByType image/gif "access 1 year"' . "\n";
				$expires .= 'ExpiresByType image/jpg "access 1 year"' . "\n";
				$expires .= 'ExpiresByType image/jpeg "access 1 year"' . "\n";
				$expires .= 'ExpiresByType image/png "access 1 year"' . "\n";
				$expires .= 'ExpiresByType image/x-icon "access 1 year"' . "\n";
				$expires .= 'ExpiresByType text/css "access 1 month"' . "\n";
				$expires .= 'ExpiresByType text/javascript "access 1 month"' . "\n";
				$expires .= 'ExpiresByType text/html "access 1 month"' . "\n";
				$expires .= 'ExpiresByType application/javascript "access 1 month"' . "\n";
				$expires .= 'ExpiresByType application/x-javascript "access 1 month"' . "\n";
				$expires .= 'ExpiresByType application/xhtml-xml "access 1 month"' . "\n";
				$expires .= 'ExpiresByType application/pdf "access 1 month"' . "\n";
				$expires .= 'ExpiresByType application/x-shockwave-flash "access 1 month"' . "\n";
				$expires .= 'ExpiresDefault "access 1 month"' . "\n";
				$expires .= '</IfModule>' . "\n";
				$expires .= '# END Caching MIXANOBROWSERCACHEEND' . "\n";

				if ( is_readable( $htaccess_file ) && is_writable( $htaccess_file ) ) {
					$final_htaccess = '';
					$final_htaccess .= $current_htaccess.$expires;
					file_put_contents( $htaccess_file, $final_htaccess );
				}
			
			}
		
		} //enf if htaccess_file exists
	}
	mixano_add_leverage_broswer_caching();
}
else{
	function mixano_remove_leverage_broswer_caching() {
		//get htaccess file path
		$htaccess_file = wp_normalize_path( ABSPATH . '.htaccess' );

		if ( file_exists( $htaccess_file ) ) {
			
			$current_htaccess = file_get_contents( $htaccess_file );

			//unique string
			$unique = 'MIXANOBROWSERCACHE';
			
			$exists = false;

			//code is already added
			if ( strpos( $current_htaccess, $unique ) !== false ) {
				$exists = true;
			}
			
			//code is existent remove it
			if ( $exists ) {

				$pattern 			= '/#\s?MIXANOBROWSERCACHESTART.*?MIXANOBROWSERCACHEEND/s';
				$current_htaccess 	= preg_replace( $pattern, '', $current_htaccess );
				$current_htaccess 	= preg_replace( "/\n+/","\n", $current_htaccess );

				file_put_contents( $htaccess_file, $current_htaccess );				
			
			}
		
		} //enf if htaccess_file exists
	}
	mixano_remove_leverage_broswer_caching();
}	




if ( mixano_option( 'enable-gzip' ) == '1' ){
	function mixano_enable_gzip() {
		//get htaccess file path
		$htaccess_file = wp_normalize_path( ABSPATH . '.htaccess' );

		if ( file_exists( $htaccess_file ) ) {
			
			$current_htaccess = file_get_contents( $htaccess_file );

			//unique string
			$unique = 'MIXANOGZIPSTART';
			
			$exists = false;

			//code is already added
			if ( strpos( $current_htaccess, $unique ) !== false ) {
				$exists = true;
			}
			
			//code is inexistent so we add it
			if ( ! $exists ) {

				$gzip  = "\n";
				$gzip .= '# MIXANOGZIPSTART' . "\n";
				$gzip .= '<IfModule mod_deflate.c>' . "\n";
				$gzip .= 'AddOutputFilterByType DEFLATE application/javascript' . "\n";
				$gzip .= 'AddOutputFilterByType DEFLATE application/rss+xml' . "\n";
				$gzip .= 'AddOutputFilterByType DEFLATE application/vnd.ms-fontobject' . "\n";
				$gzip .= 'AddOutputFilterByType DEFLATE application/x-font' . "\n";
				$gzip .= 'AddOutputFilterByType DEFLATE application/x-font-opentype' . "\n";
				$gzip .= 'AddOutputFilterByType DEFLATE application/x-font-otf' . "\n";
				$gzip .= 'AddOutputFilterByType DEFLATE application/x-font-truetype' . "\n";
				$gzip .= 'AddOutputFilterByType DEFLATE application/x-font-ttf' . "\n";
				$gzip .= 'AddOutputFilterByType DEFLATE application/x-javascript' . "\n";
				$gzip .= 'AddOutputFilterByType DEFLATE application/xhtml+xml' . "\n";
				$gzip .= 'AddOutputFilterByType DEFLATE application/xml' . "\n";
				$gzip .= 'AddOutputFilterByType DEFLATE font/opentype' . "\n";
				$gzip .= 'AddOutputFilterByType DEFLATE font/otf' . "\n";
				$gzip .= 'AddOutputFilterByType DEFLATE font/ttf' . "\n";
				$gzip .= 'AddOutputFilterByType DEFLATE image/svg+xml' . "\n";
				$gzip .= 'AddOutputFilterByType DEFLATE image/x-icon' . "\n";
				$gzip .= 'AddOutputFilterByType DEFLATE text/css' . "\n";
				$gzip .= 'AddOutputFilterByType DEFLATE text/html' . "\n";
				$gzip .= 'AddOutputFilterByType DEFLATE text/javascript' . "\n";
				$gzip .= 'AddOutputFilterByType DEFLATE text/plain' . "\n";
				$gzip .= 'AddOutputFilterByType DEFLATE text/xml' . "\n";
				$gzip .= '</IfModule>' . "\n";
				$gzip .= '# MIXANOGZIPEND' . "\n";

				if ( is_readable( $htaccess_file ) && is_writable( $htaccess_file ) ) {
					$final_htaccess = '';
					$final_htaccess .= $current_htaccess.$gzip;
					file_put_contents( $htaccess_file, $final_htaccess );
				}
			
			}
		
		} //enf if htaccess_file exists
	}
	mixano_enable_gzip();
}
else{
	function mixano_disable_gzip() {
		//get htaccess file path
		$htaccess_file = wp_normalize_path( ABSPATH . '.htaccess' );

		if ( file_exists( $htaccess_file ) ) {
			
			$current_htaccess = file_get_contents( $htaccess_file );

			//unique string
			$unique = 'MIXANOGZIPSTART';
			
			$exists = false;

			//code is already added
			if ( strpos( $current_htaccess, $unique ) !== false ) {
				$exists = true;
			}
			
			//code is existent remove it
			if ( $exists ) {

				$pattern 			= '/#\s?MIXANOGZIPSTART.*?MIXANOGZIPEND/s';
				$current_htaccess 	= preg_replace( $pattern, '', $current_htaccess );
				$current_htaccess 	= preg_replace( "/\n+/","\n", $current_htaccess );

				file_put_contents( $htaccess_file, $current_htaccess );				
			
			}
		
		} //enf if htaccess_file exists
	}
	mixano_disable_gzip();
}	

function mixano_disable_csf_google_font(){
	wp_deregister_style( 'csf-google-web-fonts-mixano_options' );
	wp_deregister_style( 'csf-google-web-fonts' );
}
add_action( 'wp_print_styles','mixano_disable_csf_google_font' );


function mixano_style_loader_tag( $tag ){
	$tag = preg_replace( "/rel='stylesheet' id='mixano-custom-css-css'/", "crossorigin='anonymous' rel='preload' as='style' onload='this.onload=null;this.rel=`stylesheet`'", $tag );
	return $tag;
}

add_filter('style_loader_tag','mixano_style_loader_tag');


/*
=================================================================================================================
mixano_column_image_heading - Add column heading Image in dashboard posts
=================================================================================================================
*/
function mixano_column_image_heading( $columns ) {
    if ( get_post_type() == 'post' ){
		$columns['image'] = esc_html__( 'Image','mixano' );
		return $columns;
	}
}
/*
=================================================================================================================
mixano_column_image - Add column image display in dashboard posts
=================================================================================================================
*/
function mixano_column_image( $column ) {
    if ( get_post_type() == 'post' ){
		
		if ( $column === 'image') {
		   if ( get_post_format() == false ){
			   if ( has_post_thumbnail() ){
					 $post_thumb = get_the_post_thumbnail_url( get_the_ID() , 'mixano-admin-thumb' ) ;
					 echo '<img src=" '. esc_url( $post_thumb ) .' " class="admin-thumb">';
				   }
		   }
			elseif ( get_post_format() == 'video' ){
				echo esc_html__('Video','mixano');
			}		
			elseif ( get_post_format() == 'audio' ){
				echo esc_html__('Audio','mixano');
			}
			else{
				echo esc_html__('Gallery','mixano');
			}
		}
	}
}
add_filter( 'manage_posts_columns', 'mixano_column_image_heading',1 );
add_action( 'manage_posts_custom_column', 'mixano_column_image',1 );