<?php
 //
  // Create a widget
  //
  CSF::createWidget( 'mixano_ad_widget', array(
    'title'       => 'Mixano Ad',
    'classname'   => 'mixano-ad-widget',
    'description' => 'Add advertisement banner or code',
    'fields'      => array(

      array(
        'id'      => 'title',
        'type'    => 'text',
        'title'   => 'Widget title',
      ),
		array(
		  'id'      => 'sticky',
		  'type'    => 'switcher',
		  'title'   => esc_html__( 'Make ad sticky?','mixano' ),
		  'desc'   => esc_html__( 'It will stick on the sidebar as you scroll. Try to place it last in the sidebar if sticky is enabled.','mixano' ),
		  'default' => 1,
		),	  
		array(
		  'id'         => 'widget-ad-type',
		  'type'       => 'button_set',
		  'title'      => esc_html__( 'Ad type','mixano' ),
		  'desc'      => esc_html__( 'Select your advertisement type. Banner or code.','mixano' ),
		  'options'    => array(
			'banner' => 'Banner',
			'code' => 'Code',
		  ),
		  'default'    => 'code'
		),
		 array(
		  'id'           => 'widget-ad-media',
		  'type'         => 'upload',
		  'title'        => esc_html__( 'Banner image','mixano' ),
		  'library'      => 'image',
		  'placeholder'  => 'http://',
		  'button_title' => 'Add Image',
		  'remove_title' => 'Remove Image',
		  'dependency' => array( 'widget-ad-type', '==', 'banner' ),
		),		
		array(
		  'id'      => 'widget-ad-url',
		  'type'    => 'text',
		  'title'   => esc_html__( 'Banner URL','mixano' ),
		  'desc'   => esc_html__( 'Where should the banner link to. Example : http://example.com','mixano' ),
		  'default' => '',
		  'dependency' => array( 'widget-ad-type', '==', 'banner' ),
		),
		array(
		  'id'      => 'widget-ad-code',
		  'type'    => 'code_editor',  
		  'title'   => esc_html__( 'Ad code','mixano' ),
		  'sanitize' => false,
		  'desc' => esc_html__( 'Enter ad code here.', 'mixano' ),
		  'dependency' => array( 'widget-ad-type', '==', 'code' ),		  
		), 


    ),
  ) );
  
function mixano_ad_widget( $args, $instance ) {

$sticky = $instance['sticky'] == 1 ? 'sticky' : '';

$args['before_widget'] = '<div class="widget '.$sticky.' mixano-widget">';

echo wp_kses_post( $args['before_widget'] );

if ( ! empty( $instance['title'] ) ) {
	echo wp_kses_post( $args['before_title'] . apply_filters( 'widget_title', $instance['title'] ) . $args['after_title'] );
}

if ( $instance['widget-ad-type'] == 'banner' ) {

	if ( !empty( $instance['widget-ad-url'] ) && !empty( $instance['widget-ad-media'] ) ){
		
		if ( mixano_option( 'lazy-load' )  == '1' ){ ?>
		
			<div id="ad-widget">
				<a href="<?php echo esc_url( $instance['widget-ad-url'] ); ?>"><img class="lazyload" src="<?php echo esc_url( MIXANO_URI.'/images/placeholder-3.png' ); ?>" data-src="<?php echo esc_url( $instance['widget-ad-media'] ); ?>" alt="<?php echo esc_attr__('Widget Ad','mixano'); ?>"></a>
			</div>		
			
<?php		} else { ?>
			<div id="ad-widget">
				<a href="<?php echo esc_url( $instance['widget-ad-url'] ); ?>"><img src="<?php echo esc_url( $instance['widget-ad-media'] ); ?>" alt="<?php echo esc_attr__('Widget Ad','mixano'); ?>"></a>
			</div>	
<?php	}
}

} //end if banner ad

elseif ( $instance['widget-ad-type'] == 'code' && !empty( $instance['widget-ad-code'] ) ){ ?>	
	<div class="ad-widget adsense">
		<?php echo do_shortcode( $instance['widget-ad-code'] ); ?>
	</div>	
<?php }
echo wp_kses_post( $args['after_widget'] );
}