(function($){

	"use strict";
	
	var doImport = false;
	var requirements;

	function reset_delete_import(){		
		$('.delete_import_content [name="import_delete_posts"]').val("");
		$('.delete_import_content [name="import_delete_pages"]').val("");
		$('.delete_import_content [name="import_delete_widgets"]').val("");						
		$('.delete_import_content [name="import_delete_menus"]').val("");						
		$('.delete_import_content [name="import_delete_media"]').val("");						
	}
	
	//minimum server requirements check
	if( document.getElementById("server_req_error") !== null  ){
		requirements = '<a class="mixano-server_req_error" href="#server_req_error" rel="modal:open">' + mixano_plugin_data.server_requirements + '</a>';
		$( ".import-fields" ).append( requirements );
	}

	
	$(".import-field a").on( "click", function(event) {
		event.preventDefault();
		$(".import-field a").removeClass("active");
		$(this).addClass("active");
		$("button.csf-save,button.csf-reset-section,button.csf-reset-all")
		$(".import-btn .csf-import, .csf-custom-importer").removeClass("disabled");
		$(".import-field-val").val( $(this).attr("data-val"));
	});		

	$("a.csf-import").on( "click", function(event) {
		event.preventDefault();
		if( $(this).hasClass("disabled") ){ return false; }

		$.ajax({
			url : mixano_plugin_data.ajax_url,
			type : 'POST',
			data : { action: "mixano_ajax_theme_is_active",nonce: mixano_plugin_data.nonce},
			success : function(data) {              
				if( data ){
					if( data == "yes"){
						$(".importer_confirmation.confirm").removeClass("hidden");
					}
					else{
						$(".importer_confirmation.theme-not-active").removeClass("hidden");
					}
				}
			},
		});
		
		
	});		
	
	var canBeLoaded = true;
	
	$(".importer_confirmation .confirm-yes").on( "click", function(event) {
		event.preventDefault();
		var packageVal = $(".import-fields a.active").attr("data-val") || false;

		var delete_posts = $('.delete_import_content [name="import_delete_posts"]').val(),
			delete_pages = $('.delete_import_content [name="import_delete_pages"]').val(),
			delete_widgets = $('.delete_import_content [name="import_delete_widgets"]').val(),			
			delete_menus = $('.delete_import_content [name="import_delete_menus"]').val(),			
			delete_media = $('.delete_import_content [name="import_delete_media"]').val();	
			
		var data = {
				'action': 'mixano_importer',
				'nonce' : mixano_plugin_data.nonce,
				'packageVal' : packageVal,
				'delete_posts' : delete_posts,
				'delete_pages' : delete_pages,
				'delete_widgets' : delete_widgets,					
				'delete_menus' : delete_menus,					
				'delete_media' : delete_media,					
			};
			
		if( !packageVal ){ return false; }
		
		if( canBeLoaded ){
						
			$.ajax({
				url : mixano_plugin_data.ajax_url, // AJAX handler		
				data : data,
				type : 'POST',
				beforeSend : function ( xhr ) {					
					// the AJAX call is in process, we shouldn't run it again until complete
					canBeLoaded = false;
					$(".importer_confirmation.in-progress").removeClass("hidden");
				},
				complete: function(){
					$(".importer_confirmation.in-progress").addClass("hidden");
					reset_delete_import();
				},	
				success : function( data ){
					if( data ) {
						canBeLoaded = true;
						var response = JSON.parse(data);
						if( response['success'] == 'success' ){
							$(".importer_confirmation.success").removeClass("hidden");
						}
						else{
							$(".importer_confirmation").addClass("hidden");
							$(".importer_confirmation.fail .importer_confirmation-msg .custom_error").remove();
							$(".importer_confirmation.fail .importer_confirmation-msg").append('<p class="custom_error">' + response['success'] + '</p>');
							$(".importer_confirmation.fail").removeClass("hidden");
						}
						
					} 
				}								
			});					
		}
		
	});		

	$(document).on("click", function (e) {
		if ( $(e.target).hasClass("importer_confirmation") || $(e.target).hasClass("confirm-no") ){
			
			if( $(e.target).hasClass("importer_confirmation") && $(e.target).hasClass("in-progress") ){
				return false;
			}
			$(".importer_confirmation").addClass("hidden");
			reset_delete_import();
		}			
	});	
	
	$(".activate-theme").click(function(){
		$(".importer_confirmation").addClass("hidden");
	});
	
})(jQuery);



jQuery(function($){
	
	"use strict";
	
	//register theme	
	$(document).on('click', ".go_to_activate", function (e) {
		e.preventDefault();

		var purchase_code = $(this).parent().find("input[name='activate']").val();
		
		if( purchase_code ){
			var data = {
				'action': 'mixano_purchase_code',
				'purchase_code': purchase_code
			};			
			$.ajax({

				url : mixano_plugin_data.ajax_url,
				type : 'POST',
				data : data,
				success : function(data) {              

					if( data ){
						$(".wow-theme-activated .mixano-activation-response").remove();
						$(".wow-register-theme .mixano-activation-response").remove();
							
						$(".wow-register-theme input[name='activate'], .wow-theme-activated input[name='de-activate']").val(purchase_code);
						if( data == "success" ){
							$(".wow-register-theme").removeClass("show").addClass("hide");
							$(".wow-theme-activated").removeClass("hide").addClass("show");
						}
						else{
							$(".wow-register-theme .holder").prepend('<p class="mixano-activation-response">' + data + '</p>');
							$(".wow-register-theme").removeClass("hide").addClass("show");
							$(".wow-theme-activated").removeClass("show").addClass("hide");							
						}					
					}
				},
				error : function(request,error)
				{
					
				}
			});			
		}
		
	});	
	
	//de-register theme
	$(document).on('click', ".de-activate", function (e) {
		e.preventDefault();
		
		var data = {
			'action': 'mixano_purchase_code',
			'do_action': "deregister"
		};			
		$.ajax({
			url : mixano_plugin_data.ajax_url,
			type : 'POST',
			data : data,
			success : function(data) {              

				if( data ){

					$(".wow-theme-activated .mixano-activation-response").remove();
					$(".wow-register-theme .mixano-activation-response").remove();
					
					if( data == "success" ){
						$("input[name='activate']").val("");
						$(".wow-register-theme").removeClass("hide").addClass("show");
						$(".wow-theme-activated").removeClass("show").addClass("hide");
					}
					else{
						$(".wow-theme-activated .holder").prepend('<p class="activation-response">' + data + '</p>');
						$(".wow-register-theme").removeClass("show").addClass("hide");
						$(".wow-theme-activated").removeClass("hide").addClass("show");							
					}
					
				}
			},
			error : function(request,error)
			{
				
			}
		});			
	});		
	
});


//update theme modal warning
(function($) {


		if(window.adminpage == 'update-core-php') {
			$('form[name="upgrade-themes"]').on('submit', function(e) {
				var $form = $(this);
				if($(':input[name="checked[]"][value="mixano"]', $form).is(':checked')) {
					e.preventDefault();
					$("body").prepend(spinner);
					$.get(mixano_plugin_data.ajax_url +'?'+ $.param({action:'mixano_update_confirmation'}), function(html) {
						$(".spinner_holder").remove();
						$(html).appendTo('body').modal();
					});
							
					$(document).on('change', '#mixano-confirm-checkbox', function() {
						$('#mixano-confirm-button').prop('disabled', !$(this).is(':checked'));
					});
					$(document).on('click', '#mixano-confirm-button', function(e) {
						e.preventDefault();
						$('form[name="upgrade-themes"]').off('submit');
						$form.submit();
					});
				}
			});
		}
		

		if(window.adminpage == 'themes-php') {

			var themes = window.wp.themes;
			themes.view.Theme = themes.view.Theme.extend({

				events: {
					'click': themes.isInstall ? 'preview': 'expand',
					'click .theme-install': 'installTheme',
					'click .update-message': 'update_mixano'
				},
				update_mixano: function( event ) {
					var self = this;

					event = event || window.event;
										
					if( this.model.get( 'id' ) == "mixano" ){
						
						var _this = this;
						
						$(document).on('click','.update-message button.button-link', function (event) {
							$("body").prepend(spinner);
							$.get(mixano_plugin_data.ajax_url +'?'+ $.param({action:'mixano_update_confirmation'}), function(html) {
								$(".spinner_holder").remove();
								$(html).appendTo('body').modal();
							});
							
							$(document).on('change', '#mixano-confirm-checkbox', function() {
								$('#mixano-confirm-button').prop('disabled', !$(this).is(':checked'));
							});
							$(document).on('click', '#mixano-confirm-button', function(e) {
								e.preventDefault();
								_this.updateTheme(event);
								$.modal().close();
							});							
						});												
					}
				},				
			});

			themes.view.Details = themes.view.Details.extend({
				events: {
					'click': 'collapse',
					'click .delete-theme': 'deleteTheme',
					'click .left': 'previousTheme',
					'click .right': 'nextTheme',
					'click #update-theme': 'update_mixano'
				},

				update_mixano: function( event ) {
					var _this = this;
					event.preventDefault();
					if(this.model.get( 'id' ) == 'mixano') {
						var _this = this;
						event.preventDefault();
						
						$("body").prepend(spinner);		
						$.get(mixano_plugin_data.ajax_url +'?'+ $.param({action:'mixano_update_confirmation'}), function(html) {
							$(".spinner_holder").remove();
							$(html).appendTo('body').modal();
						});		
						
						$(document).on('change', '#mixano-confirm-checkbox', function() {
							$('#mixano-confirm-button').prop('disabled', !$(this).is(':checked'));
						});
						$(document).on('click', '#mixano-confirm-button', function(e) {
							e.preventDefault();
							_this.updateTheme(event);
							$.modal().close();
						});
					} else {
						_this.updateTheme(event);
					}
				}					
			});
		}

		var spinner = '';
		
		$('.mixano-view-details-link').on('click', function(e) {
			e.preventDefault();
			
			$("body").prepend(spinner);			
			
			$.get(mixano_plugin_data.ajax_url +'?'+ $.param({action:'mixano_change_log'}), function(html) {
				$(".spinner_holder").remove();
				$(html).appendTo('body').modal();
			});								
		});
		
		$('.mixano-update-notice').each(function() {
			var $notice = $(this);
			
			$('.mixano-update-link', $notice).on('click', function(e) {
				
				e.preventDefault();
				var $link = $(this);
				$("body").prepend(spinner);

				$.get(mixano_plugin_data.ajax_url +'?'+ $.param({action:'mixano_update_confirmation'}), function(html) {
					$(".spinner_holder").remove();
					$(html).appendTo('body').modal();
				});		
						
				$(document).on('change', '#mixano-confirm-checkbox', function() {
					$('#mixano-confirm-button').prop('disabled', !$(this).is(':checked'));
				});
				$(document).on('click', '#mixano-confirm-button', function(e) {
					e.preventDefault();
					window.location.href = $link.attr('href');
				});
			});
		});
		
		

		$(document).on($.modal.AFTER_CLOSE,'.mixano-update.modal' , function(event, modal) {
			$(this).remove();
		});		
})(jQuery);