<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}


/*
=================================================================================================================
mixano_output_custom_css - output custom css 
=================================================================================================================
*/
function mixano_output_custom_css(){
	$css = '';
	
	//default colors
	$args = array ( 'color-1' => '#ff4f37', 'color-2' => '#fe803b', 'color-3' => '#4e4e58', 'color-4' => '#2b2f46', 'color-5' => '#0d1127' );
	
	//custom colors
	if ( mixano_option( 'color-scheme' )  == 'custom' ){
		$color1 = mixano_option( 'colors', 'color-1' );
		$color2 = mixano_option( 'colors', 'color-2' );
		$color3 = mixano_option( 'colors', 'color-3' );
		$color4 = mixano_option( 'colors', 'color-4' );
		$color5 = mixano_option( 'colors', 'color-5' );
		
		$args = array( 'color-1' =>  $color1, 'color-2' => $color2, 'color-3' => $color3, 'color-4' => $color4, 'color-5' => $color5 );

	}
	//pre-defined colors
	elseif ( mixano_option( 'color-scheme' )  == 'skins' ){
		if( mixano_option( 'skin-colors') == 'set1'){
			$args = array( 'color-1' =>  '#ff4f37', 'color-2' => '#fe803b', 'color-3' => '#4e4e58', 'color-4' => '#2b2f46', 'color-5' => '#0e1121' );
		}		
		elseif( mixano_option( 'skin-colors') == 'set2'){
			$args = array( 'color-1' =>  '#E91E63', 'color-2' => '#745bff', 'color-3' => '#4e4e58', 'color-4' => '#1a0835', 'color-5' => '#2d2146' );
		}		
		elseif( mixano_option( 'skin-colors') == 'set3'){
			$args = array( 'color-1' =>  '#8BC34A', 'color-2' => '#00BCD4', 'color-3' => '#4e4e58', 'color-4' => '#1d231c', 'color-5' => '#191d19' );
		}		
		elseif( mixano_option( 'skin-colors') == 'set4'){
			$args = array( 'color-1' =>  '#ff4364', 'color-2' => '#d90429', 'color-3' => '#4e4e58', 'color-4' => '#2b2d42', 'color-5' => '#21181a' );
		}		
		elseif( mixano_option( 'skin-colors') == 'set5'){
			$args = array( 'color-1' =>  '#2196F3', 'color-2' => '#07c8f9', 'color-3' => '#4e4e58', 'color-4' => '#354050', 'color-5' => '#0d1927' );
		}		
		elseif( mixano_option( 'skin-colors') == 'set6'){
			$args = array( 'color-1' =>  '#ff9800', 'color-2' => '#ff5722', 'color-3' => '#4e4e58', 'color-4' => '#3c312d', 'color-5' => '#1a1412' );
		}		
		elseif( mixano_option( 'skin-colors') == 'set7'){
			$args = array( 'color-1' =>  '#ff4091', 'color-2' => '#FFC107', 'color-3' => '#4e4e58', 'color-4' => '#232252', 'color-5' => '#250b1d' );
		}
	}

	//colors processing from theme options
	$css .= mixano_process_colors( $args );
	
	$css .= ( mixano_option( 'enable-cursor' ) != 1 || wp_is_mobile() ) ? '#pointer-dot, #pointer-ring{ display:none }' : '';
	$css .= mixano_option( 'enable-sticky' ) == 0 ? '.pos_sticky{ top:0 !important }' : '';
	$css .= '.intro-holder:after{ content:"'.mixano_option( 'welcome-big-intro' ).'" }';
	$css .= '.subscribe-holder:after{ content:"'.mixano_option( 'welcome-big-subscribe' ).'" }';

	
	//if intro has bg image, we add an overlay
	$css .= !empty ( mixano_option( 'overlay-intro') ) ? '.intro-holder:before{ background:'.esc_attr( mixano_option( 'overlay-intro') ).' }' : '';
	
	$bg_intro_img = mixano_option( 'bg-intro', 'background-image' );
	$bg_intro = mixano_option( 'bg-intro' );
	
	if ( !empty ( $bg_intro_img['url'] ) ){
	
		$css .= ' @media only screen and ( min-width: 1024px ) { ';
			$css .= ( !empty ( $bg_intro_img['url'] ) ) ? '.intro-holder{ background-image:url('.esc_url( $bg_intro_img['url'] ).') }' : '';
			$css .= ( !empty ( $bg_intro['background-size'] ) ) ? '.intro-holder{ background-size:'.esc_attr( $bg_intro['background-size'] ).' }' : '';
			$css .= ( !empty ( $bg_intro['background-attachment'] ) ) ? '.intro-holder{ background-attachment:'.esc_attr( $bg_intro['background-attachment'] ).' }' : '';
			$css .= ( !empty ( $bg_intro['background-repeat'] ) ) ? '.intro-holder{ background-repeat:'.esc_attr( $bg_intro['background-repeat'] ).' }' : '';
			$css .= ( !empty ( $bg_intro['background-position'] ) ) ? '.intro-holder{ background-position:'.esc_attr( $bg_intro['background-position'] ).' }' : '';
		$css .= '}';
	
	}

	$css .= '.border-left-right.big-category, .border-left.big-category{ background:#fff }';
	
	//show only the carousel without the heading text
	$css .= mixano_option( 'enable-carousel-only') == 1 ? '.popular#popular{ display:none } .subscribe-holder .mixano-row { margin-bottom: 280px; } .popular-carousel { margin-top: -152px; } .subscribe-holder:after { top: 19% }' : '';
	$css .= mixano_option( 'enable-carousel-only') == 1 && mixano_option( 'enable-subscribe') == 0  ? '.carousel-holder { margin-top: 152px; }' : '';
	
	//hide border bottom for tags if no author box is displayed
	$css .= !mixano_author_has_details()  ? '.article-tags { border-bottom:none; margin-bottom:-50px }' : '';
	
	//logo-width
	$css .= '.logo img{ width:'.esc_attr( mixano_option( 'logo-width' ) ).'px }';
	
	//if Mixano core is anactive move the bottom postiotion of "Read More" from article grid
	$css .=  ( !function_exists ( 'mixano_plugins_core' ) ) ? '.arrow-read-more, .arrow-read-more-2{ bottom:34px }'  : '';
	
	//responsive trigger position
	$css .= mixano_option( 'responsive-trigger') == 'left'  ? '@media only screen and ( max-width: 1023px ) {.logo{ order:2 } nav.primary{ order:1 } .search-mobile{ order:3 } .action-bar{ order:3 } .mobile-trigger{ padding-left:0; padding-right:0 } }' : '';
	
	//responsive trigger color
	$css .= '.mobile-trigger.is-active .mobile-trigger-inner, .mobile-trigger.is-active .mobile-trigger-inner::before, .mobile-trigger.is-active .mobile-trigger-inner::after, .mobile-trigger-inner, .mobile-trigger-inner::before, .mobile-trigger-inner::after, .intro-holder .highlight:hover:after{ background-color: '. esc_attr( mixano_option( 'responsive-trigger-color') ) .' }';
	
	//responsive search color
	$css .= '.search-trigger.mobile svg{ fill: '. esc_attr( mixano_option( 'responsive-search-color') ) .' }';
	
	//remove margin bottom of intro if on front is a page
	$css .= get_option('show_on_front') == 'page' && mixano_option( 'enable-intro') == 1 ? '.intro-holder { margin-bottom:0 }' : '';
	
	wp_add_inline_style( 'mixano-custom-css', $css );	
}
add_action( 'wp_enqueue_scripts','mixano_output_custom_css', 10 );