<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

/*
=================================================================================================================
mixano_option - Retrieve an option
=================================================================================================================
*/
if ( !function_exists ( 'mixano_option' ) ){
	function mixano_option( $value , $from_array_value = NULL ){
		
		//demo purposes
		if( defined( 'MIXANO_DEMO' ) ){
			if ( is_page( 'top-advertisement' ) )   	{ $options = get_option( 'mixano_options_demo_1' ); }
			if ( is_page( 'posts-advertisement' ) ) 	{ $options = get_option( 'mixano_options_demo_2' ); }
			if ( is_page( 'home-3' ) ) 					{ $options = get_option( 'mixano_options_demo_3' ); }
			if ( is_page( 'home-2' ) ) 					{ $options = get_option( 'mixano_options_demo_4' ); }
			if ( is_page( 'home-1' ) ) 					{ $options = get_option( 'mixano_options_demo_5' ); }
			if ( is_page( 'home-4' ) ) 					{ $options = get_option( 'mixano_options_demo_6' ); }
			
			if ( is_page( 'top-advertisement' ) || is_page( 'posts-advertisement' ) || is_page( 'home-4' ) || is_page( 'home-3' ) || is_page( 'home-2' ) || is_page( 'home-1' ) ){
				
				if ( $from_array_value ){
					return $options[ $value ][ $from_array_value ];
				}
				return $options[ $value ];		
			}
		}
		

		
		$options = get_option( 'mixano_options' );
		if ( !empty ( $options ) ){
			if ( isset ( $options[ $value ] ) ) {
					if ( $from_array_value ){
						return $options[ $value ][ $from_array_value ];
					}
				return $options[ $value ];
			}
		}
		
		else{
			$options = array (
			  'enable-cursor' => '0',
			  'enable-sticky' => '1',
			  'social-style' => 'text',
			  'image-sizes' => 'cropped',
			  'logo-width' => '146',
			  'enable-social' => '0',
			  'enable-author' => '0',
			  'responsive-trigger' => 'default',
			  'responsive-trigger-color' => '#2c2d3c',
			  'responsive-search-color' => '#2c2d3c',			  
			  'color-scheme' => 'skins',
			  'skin-colors' => 'set1',
			  'colors' => 
			  array (
				'color-1' => '#ff4f37',
				'color-2' => '#fe803b',
				'color-3' => '#707182',
				'color-4' => '#2f3150',
				'color-5' => '#0e1121',
			  ),
			  'body-typography' => 
			  array (
				'font-family' => '',
				'font-weight' => '',
				'font-style' => '',
				'type' => '',
				'unit' => 'px',
			  ),
			  'heading-typography' => 
			  array (
				'font-family' => '',
				'font-weight' => '',
				'font-style' => '',
				'type' => '',
				'unit' => 'px',
			  ),
			  'blog-layout' => 'grid-4',
			  'blog-single-layout' => 'sidebar-fancy',
			  'enable-social-share' => '1',
			  'big-cat-typography' => 
			  array (
				'font-size' => '120',
				'unit' => 'px',
			  ),			  
			  'enable-intro' => '0',
			  'welcome-intro' => esc_html__( 'Hello there', 'mixano' ),
			  'welcome-big-intro' => esc_html__( 'Welcome', 'mixano' ),
			  'small-headline-intro' => esc_html__( 'Who are we', 'mixano' ),
			  'headline-intro' => sprintf( '%s<br>%s<br>%s', esc_html__( 'We\'re' , 'mixano' ), esc_html__( ' brand' , 'mixano' ), esc_html__( ' builders' , 'mixano' ) ),
			  'headline-intro-size' => 'x-large',
			  'small-headline-intro-2' => esc_html__( 'What we do', 'mixano' ),
			  'headline-intro-2' => sprintf( '%s<br>%s<br>%s', esc_html__( 'We collect.' , 'mixano' ), esc_html__( 'Good things.' , 'mixano' ), esc_html__( 'From the web.' , 'mixano' ) ),
			  'button-intro' => esc_html__( 'Explore', 'mixano' ),
			  'small-headline-intro-3' => esc_html__( 'Visit us', 'mixano' ),
			  'headline-intro-3' => sprintf( '%s<br>%s<br>%s', esc_html__( 'Amsterdam 1024 NL,' , 'mixano' ), esc_html__( 'The Netherlands,' , 'mixano' ), esc_html__( '+(49) 743 819 093' , 'mixano' ) ),
			  'bg-intro' => 
			  array (
				'background-color' => '',
				'background-image' => 
				array (
				  'url' => '',
				  'id' => '',
				  'width' => '',
				  'height' => '',
				  'thumbnail' => '',
				  'alt' => '',
				  'title' => '',
				  'description' => '',
				),
				'background-position' => '',
				'background-repeat' => '',
				'background-attachment' => '',
				'background-size' => '',
			  ),
			  'overlay-intro' => '',
			  'enable-popular' => '0',
			  'welcome-popular' => esc_html__( 'Popular stuff', 'mixano' ),
			  'small-headline-popular' => esc_html__( 'Popular', 'mixano' ),
			  'headline-popular' => esc_html__( 'A quick list with most popular articles', 'mixano' ),
			  'headline-popular-2' => esc_html__( 'Crème de la crème.', 'mixano' ),
			  'small-headline-popular-2' => esc_html__( 'Browse our most downloaded resources.I\'m baby keffiyeh semiotics la croix pour-over.', 'mixano' ),
			  'carousel-popular' => '5',
			  'carousel-nr-posts' => '10',
			  'enable-carousel-only' => '0',
			  'mixano_facebook' => '#',
			  'mixano_twitter' => '#',
			  'mixano_youtube' => '',
			  'mixano_linkedin' => '',
			  'mixano_pinterest' => '',
			  'mixano_dribbble' => '',
			  'mixano_instagram' => '',
			  'mixano_behance' => '',
			  'mixano_patreon' => '',
			  'mixano_telegram' => '',
			  'mixano_twitch' => '',
			  'mixano_tiktok' => '',
			  'enable-subscribe' => '0',
			  'welcome-subscribe' => esc_html__( 'Want more?', 'mixano' ),
			  'welcome-big-subscribe' => esc_html__( 'Subscribe', 'mixano' ),
			  'small-headline-subscribe' => esc_html__( 'Freebies addict?', 'mixano' ),
			  'headline-subscribe' => esc_html__( 'Subscribe', 'mixano' ),
			  'small-headline-subscribe-2' => esc_html__( 'No spammers', 'mixano' ),
			  'headline-subscribe-2' => sprintf( '%s<br>%s', esc_html__( 'We Never Spam.' , 'mixano' ), esc_html__( 'And Never Will.' , 'mixano' ) ),
			  'small-headline-subscribe-3' => esc_html__( 'Visit us', 'mixano' ),
			  'headline-subscribe-3' => sprintf( '%s<br>%s<br>%s', esc_html__( 'Amsterdam 1024 NL,' , 'mixano' ), esc_html__( 'The Netherlands,' , 'mixano' ), esc_html__( '+(49) 743 819 093' , 'mixano' ) ),
			  'url-subscribe' => '',
			  'button-subscribe' => esc_html__( 'Subscribe', 'mixano' ),
			  'placeholder-subscribe' => esc_html__( 'Add your e-mail and join.', 'mixano' ),
			  'bg-subscribe' => 
			  array (
				'background-color' => '#fff',
				'background-image' => 
				array (
				  'url' => '',
				  'id' => '',
				  'width' => '',
				  'height' => '',
				  'thumbnail' => '',
				  'alt' => '',
				  'title' => '',
				  'description' => '',
				),
				'background-position' => '',
				'background-repeat' => '',
				'background-attachment' => '',
				'background-size' => '',
			  ),
			  'enable-copyright' => '1',
			  'copyright' => esc_html__( 'Copyright Mixano 2020. A minimal and unique blogging theme.', 'mixano' ),
			  'enable-social-copyright' => '0',
			  'bg-footer' => 
			  array (
				'background-color' => '',
				'background-image' => 
				array (
				  'url' => '',
				  'id' => '',
				  'width' => '',
				  'height' => '',
				  'thumbnail' => '',
				  'alt' => '',
				  'title' => '',
				  'description' => '',
				),
				'background-position' => '',
				'background-repeat' => '',
				'background-attachment' => '',
				'background-size' => '',
			  ),
			  'ads' => 
			  array (
				'enable-header-ad' => '0',
				'header-ad-type' => 'code',
				'header-ad-media' => '',
				'header-ad-url' => '',
				'header-ad-code' => '',
				'enable-post-ad' => '0',
				'post-ad-position' => '5',
				'post-ad-type' => 'code',
				'post-ad-media' => '',
				'post-ad-url' => '',
				'post-ad-code' => '',
				'post-ad-after' => '',
				'enable-single1-ad' => '0',
				'single1-ad-type' => 'code',
				'single1-ad-media' => '',
				'single1-ad-url' => '',
				'single1-ad-code' => '',
				'enable-single2-ad' => '0',
				'single2-ad-type' => 'code',
				'single2-ad-media' => '',
				'single2-ad-url' => '',
				'single2-ad-code' => '',
			  ),
			  'lazy-load' => '0',
			  'js-footer' => '0',
			  'inline-css' => '0',
			  'disable-emoji' => '0',
			  'leverage-broswer-caching' => '0',
			  'enable-gzip' => '0',
			  'gutenberg' => 'enabled',
			  'contact-pages' => '',
			);		
		

			if ( $from_array_value ){
				return $options[ $value ][ $from_array_value ];
			}
			return $options[ $value ];	
		
		}
		return false;
	}
}


/*
=================================================================================================================
mixano_get_gallery_urls_meta - Retrieve url for each attachemnt id
=================================================================================================================
*/
function mixano_get_gallery_urls_meta( $value , $size ){
	$attachments = array();
	$gallery = get_post_meta( get_the_ID(), $value, true );
	if ( !empty ( $gallery ) ){
		$pieces = explode ( ',' , $gallery );
		foreach ( $pieces as $piece ){
			$attachment_src = wp_get_attachment_image_src( $piece, $size );
			$attachments[$piece] = $attachment_src[0];
		}
		return $attachments;

	}
	return false;
}



/*
=================================================================================================================
mixano_header_text_customizer() - Site title and description for customizer
=================================================================================================================
*/
function mixano_header_text_customizer() {
	$header_text_color = get_header_textcolor();
	if ( get_theme_support( 'custom-header', 'default-text-color' ) === $header_text_color ) {
		return;
	} ?>
	<style type="text/css">
	<?php
	if ( ! display_header_text() ) : ?>
		.site-title a,
		.site-description {
			position: absolute;
			clip: rect(1px, 1px, 1px, 1px);
		}
	<?php else : ?>
		.site-title a,
		.site-description {
			color: #<?php echo esc_attr( $header_text_color ); ?>;
		}
	<?php endif; ?>
	</style>
	<?php
}

/*
=================================================================================================================
mixano_get_grid - Get the grid
=================================================================================================================
*/
 
function mixano_get_grid( $real = false ){
	if ( is_single() ){
		return '4';
	}
	if ( mixano_option( 'blog-layout' ) == 'grid-4' ){
		if ( $real ){
			return '4';
		}
		return '3';
	}	
	elseif ( mixano_option( 'blog-layout' ) == 'grid-3' ){
		if ( $real ){
			return '3';
		}
		return '4';
	}	
	elseif ( mixano_option( 'blog-layout' ) == 'grid-2' ){
		if ( $real ){
			return '2';
		}
		return '6';
	}	
	else{
		if ( $real ){
			return '1';
		}
		return '12';
	}
}

/*
=================================================================================================================
mixano_get_thumb_size - Determine thumb size
=================================================================================================================
*/
 
function mixano_get_thumb_size(){
	
	//cropped versions of images
	if ( mixano_option( 'image-sizes' ) == 'cropped' ){
		if ( mixano_option( 'blog-layout' ) == 'grid-1' ){
			return 'mixano-blog-classic';
		}		
		else{
			return 'mixano-grid';
		}
	}	
	//original versions of images
	else{
		if ( mixano_option( 'blog-layout' ) == 'grid-1' ){
			return 'mixano-blog-classic-original';
		}		
		else{
			return 'mixano-grid-original';
		}
	}
}


/*
=================================================================================================================
mixano_post_thumb - output post thumb / video / audio html
=================================================================================================================
*/
function mixano_post_thumb( $is_loop = true,  $is_single = false , $is_widget = false , $show_details = true , $echo_link = true, $is_carousel = false ){
	
	$post_format = get_post_format();
	$post_type = get_post_type();
	$class = '';
	
	//get size
	if ( $is_widget == true ){
		//cropped image size
		if ( mixano_option( 'image-sizes' ) == 'cropped' ){
			$size = 'mixano-widget';
		}
		//original image size
		else{
			$size = 'mixano-widget-original';
		}
		$class = 'widget';
	}
	
	if ( $is_single == true ){
		//cropped image size
		if ( mixano_option( 'image-sizes' ) == 'cropped' ){
			$size = 'mixano-full-single';
		}
		//original image size
		else{
			$size = 'mixano-full-single-original';
		}
	}
	
	if ( $is_loop == true ){
		$size = mixano_get_thumb_size();
	}	
	
	if ( $is_carousel == true ){
		//cropped image size
		if ( mixano_option( 'image-sizes' ) == 'cropped' ){		
			$size = 'mixano-grid';
		}
		//original image size
		else{
			$size = 'mixano-grid-original';
		}			
		$class = 'carousel';
	}
	
	//get grid
	if ( $is_widget == true ){
		$grid = 'widget';
	}
	if ( $is_single == true ){
		$meta_layout      	    = get_post_meta( get_the_ID(), 'blog-single-layout', true );
		$layout = $meta_layout != 'default' ? $meta_layout : mixano_option( 'blog-single-layout' );
		$grid = $layout == 'sidebar' ? '1' : 'full-single';
	}
	if ( $is_loop == true ){
		$grid = mixano_get_grid(1);
	}
	/**
	 * Standard post format
	 *
	 */
	if ( $post_format  ==  false ) { 
		if ( has_post_thumbnail() ) {
			$image = get_the_post_thumbnail_url( get_the_ID() , $size );
			$alt_title = get_post( get_post_thumbnail_id() )->post_excerpt ? get_post( get_post_thumbnail_id() )->post_excerpt : get_post( get_post_thumbnail_id() )->post_title;
	?>
	
		<div class="post-thumb">
			<div class="date-published">
				<span class="big"><?php echo esc_html( get_the_date( get_option( 'date_format' ) ) ); ?></span>
			</div> 
			<?php if ( $post_type == 'page' ) { ?>
			<div class="post-category secondary-font">
				<a href="<?php echo esc_url( get_the_permalink() ); ?>" class="category-link page-link"><?php echo esc_html( $post_type ); ?></a>
			</div>
			<?php } ?>			
			<?php if ( $echo_link ) { ?><a href="<?php echo esc_url( get_the_permalink() ) ?>"><?php } ?>
			<?php if ( mixano_option( 'lazy-load' )  == '1' ) { ?>
				<img class="cover-image lazyload" src="<?php echo esc_url( MIXANO_URI.'/images/placeholder-'.esc_attr( $grid ).'.png' ); ?>" alt="<?php echo esc_attr( $alt_title ); ?>" data-src="<?php echo esc_url( $image ); ?>">
			<?php } else { ?>
				<img class="cover-image visible" src="<?php echo esc_url( $image ) ?>" alt="<?php echo esc_attr( $alt_title ); ?>">
			<?php } ?>
			<?php if ( $echo_link ) { ?></a><?php } ?>
			<?php mixano_first_cat_link(); ?>
		</div>
	
<?php 
		}
		
		//default thumb
		else{ ?>
		<?php if ( $echo_link ) { ?>
		<div class="post-thumb">
			<div class="date-published">
				<span class="big"><?php echo esc_html( get_the_date( get_option( 'date_format' ) ) ); ?></span>
			</div> 		
			<?php if ( $post_type == 'page' ) { ?>
			<div class="post-category secondary-font">
				<a href="<?php echo esc_url( get_the_permalink() ); ?>" class="category-link page-link"><?php echo esc_html( $post_type ); ?></a>
			</div>
			<?php } ?>
			<a href="<?php echo esc_url( get_the_permalink() ) ?>" class="">
				<span class="no-thumb <?php echo esc_attr( $class ); ?>"></span>
			</a>
			<?php mixano_first_cat_link(); ?>
		</div>
		<?php } ?>
<?php		}
		
	} // END Standard post format
	
	/**
	 * Video post format
	 *
	 */	
	elseif ( $post_format  ==  'video' ){
		$video_id = $video_url = '';
		$video_type  = get_post_meta( get_the_ID(), 'video-type', true );
		$youtube_url = get_post_meta( get_the_ID(), 'youtube', true );
		$vimeo_url = get_post_meta( get_the_ID(), 'vimeo', true );
		$custom_code = get_post_meta( get_the_ID(), 'custom', true );
		if ( $video_type == 'youtube' && !empty ( $youtube_url ) ){
			if ( preg_match( '%(?:youtube(?:-nocookie)?\.com/(?:[^/]+/.+/|(?:v|e(?:mbed)?)/|.*[?&]v=)|youtu\.be/)([^"&?/ ]{11})%i', $youtube_url, $match )) {
				$video_id = $match[1];
				$video_url = 'https://www.youtube.com/embed/'.esc_attr( $video_id );
			}
		}
		elseif( $video_type == 'vimeo' && !empty ( $vimeo_url ) ){
			if ( preg_match('/(\d+)/', $vimeo_url, $match ) ){
				$video_id = $match[1];
				$video_url = 'https://player.vimeo.com/video/'.esc_attr( $video_id );
			}
		}	
		elseif( $video_type == 'custom' && !empty ( $custom_code ) ){
			if ( preg_match('/src="([^"]+)"/', $custom_code, $match ) ){
				$video_url = $match[1];
			}
		}
		
		if ( !empty( $video_url ) ){ ?>
		
			<div class="post-thumb">
				<div class="date-published">
					<span class="big"><?php echo esc_html( get_the_date( get_option( 'date_format' ) ) ); ?></span>
				</div> 
				<?php if ( mixano_option( 'lazy-load' )  == '1' ) { ?>
					<iframe class="lazyload" width="100%" data-src="<?php echo esc_url( $video_url ); ?>" frameborder="0" allowfullscreen></iframe>
				<?php } else { ?>
					<iframe width="100%" src="<?php echo esc_url( $video_url ); ?>" frameborder="0" allowfullscreen></iframe>
				<?php } ?>
				<?php mixano_first_cat_link(); ?>
			</div>	
			
		<?php }
		
		//default thumb
		else{ ?>
		<?php if ( $echo_link ) { ?>
		<div class="post-thumb">
			<div class="date-published">
				<span class="big"><?php echo esc_html( get_the_date( get_option( 'date_format' ) ) ); ?></span>
			</div> 		
			<a href="<?php echo esc_url( get_the_permalink() ) ?>" class="">
				<span class="no-thumb <?php echo esc_attr( $class ); ?>"></span>
			</a>
			<?php mixano_first_cat_link(); ?>
		</div>
		<?php } ?>
<?php		}
	
	} // END Video post format

	/**
	 * Audio post format
	 *
	 */	
	elseif ( $post_format  ==  'audio' ){
	
		$soundcloud_url = get_post_meta( get_the_ID(), 'soundcloud', true );
		$custom_code = wp_oembed_get( $soundcloud_url );
		if ( preg_match('/src="([^"]+)"/', $custom_code, $match ) ) {
			$soundcloud_url = $match[1];
			$soundcloud_url = str_replace('&', '&amp;', $soundcloud_url );
		}

		if ( !empty ( $soundcloud_url ) ) { ?>
			
			<div class="post-thumb">
				<div class="date-published">
					<span class="big"><?php echo esc_html( get_the_date( get_option( 'date_format' ) ) ); ?></span>
				</div> 			
				<?php if ( mixano_option( 'lazy-load' )  == '1' ) { ?>
					<iframe class="lazyload"  width="100%" frameborder="0" data-src="<?php echo esc_url( $soundcloud_url ); ?>"></iframe>
				<?php } else { ?>
					<iframe width="100%" scrolling="no" frameborder="0" src="<?php echo esc_url( $soundcloud_url ); ?>"></iframe>
				<?php } ?>
				<?php mixano_first_cat_link(); ?>
			</div>	
			
		<?php }
		
		//default thumb
		else{ ?>
		<?php if ( $echo_link ) { ?>
		<div class="post-thumb">
			<div class="date-published">
				<span class="big"><?php echo esc_html( get_the_date( get_option( 'date_format' ) ) ); ?></span>
			</div> 		
			<a href="<?php echo esc_url( get_the_permalink() ) ?>" class="">
				<span class="no-thumb <?php echo esc_attr( $class ); ?>"></span>
			</a>
			<?php mixano_first_cat_link(); ?>
		</div>
		<?php } ?>
<?php		}
	
	} // END Audio post format
	
	/**
	 * Gallery post format
	 *
	 */		
	elseif( $post_format  ==  'gallery' ){
	
		$post_thumb = array();
			
		if ( has_post_thumbnail() ) {
			$post_thumb_id = get_post_thumbnail_id();
			$post_thumb = array( $post_thumb_id => get_the_post_thumbnail_url( get_the_ID() , $size ) );
		}
	
		
			
		$gallery = !empty ( mixano_get_gallery_urls_meta( 'post-gallery', $size ) ) ? mixano_get_gallery_urls_meta( 'post-gallery', $size ) : array();
		$final_gallery = $post_thumb + $gallery;
		
		if ( !empty( $final_gallery ) ) {
	
	 ?>

		<div class="post-thumb">
			<div class="date-published">
				<span class="big"><?php echo esc_html( get_the_date( get_option( 'date_format' ) ) ); ?></span>
			</div> 		
			<?php if ( mixano_option( 'lazy-load' )  == '1' ) { ?>
				<div class="slick">
					<?php foreach ( $final_gallery as $image_id => $image ) { 
						$get_post = get_post( $image_id );
						$alt_title = $get_post->post_excerpt ? $get_post->post_excerpt : $get_post->post_title;
					?>
					<div>
						<img data-lazy="<?php echo esc_url( $image ); ?>" alt="<?php echo esc_attr( $alt_title ); ?>" src="<?php echo esc_url( MIXANO_URI.'/images/placeholder-'.esc_attr( $grid ).'.png' ); ?>">						
					</div>
					<?php } ?>
				</div>
			<?php } else { ?>
				<div class="slick">
					<?php foreach ( $final_gallery as $image_id => $image ) {
						$get_post = get_post( $image_id );
						$alt_title = $get_post->post_excerpt ? $get_post->post_excerpt : $get_post->post_title;
						?>
					<div>
						<img class="cover-image visible" alt="<?php echo esc_attr( $alt_title ); ?>" src="<?php echo esc_url( $image ) ?>">				
					</div>
					<?php } ?>
				</div>
			<?php } ?>
			<?php mixano_first_cat_link(); ?>
		</div>		
		
	<?php
		}
				
		else{ ?>
		<?php if ( $echo_link ) { ?>
		<div class="post-thumb">
			<div class="date-published">
				<span class="big"><?php echo esc_html( get_the_date( get_option( 'date_format' ) ) ); ?></span>
			</div> 
			<a href="<?php echo esc_url( get_the_permalink() ) ?>" class="">
			<span class="no-thumb <?php echo esc_attr( $class ); ?>"></span>
			</a>
			<?php mixano_first_cat_link(); ?>
		</div>
		<?php } ?>
<?php		}
	
	} // END Gallery post format
	
	/**
	 * Any other post format
	 *
	 */		
		else{  ?>
		<?php if ( $echo_link ) { ?>
		<div class="post-thumb">
			<div class="date-published">
				<span class="big"><?php echo esc_html( get_the_date( get_option( 'date_format' ) ) ); ?></span>
			</div> 
			<a href="<?php echo esc_url( get_the_permalink() ) ?>" class="">
				<span class="no-thumb <?php echo esc_attr( $class ); ?>"></span>
			</a>
			<?php mixano_first_cat_link(); ?>
		</div>
		<?php } ?>
<?php		}

	
} // END wow_post_thumb()



/*
=================================================================================================================
mixano_first_cat_link - Get url of first category of a post
=================================================================================================================
*/
function mixano_first_cat_link( $only_first = false ){
	$category = get_the_category();
	
	if ( empty ( $category ) ){
		return false;
	}
	
	if ( $only_first ) {
		echo '<a class="category-link bg-cat-'.esc_attr( $category[0]->slug ).'" href="'. esc_url( get_category_link( $category[0]->term_id ) ) .'">'. esc_html( $category[0]->name ) .'</a>';
		return;
	}		
	echo '<a class="category-link bg-cat-'.esc_attr( $category[0]->slug ).'" href="'. esc_url( get_category_link( $category[0]->term_id ) ) .'"> <span>'. esc_html( $category[0]->name ) .'</span></a>';			
	
}

/*
=================================================================================================================
mixano_show_big_category - Display the post big category
=================================================================================================================
*/
function mixano_show_big_category(){
	
	/* different category values */
	$diff_cat = get_post_meta( get_the_ID(), 'different-big-category', true );
	$cat_ID = get_post_meta( get_the_ID(), 'big-category', true );
	
	if ( $diff_cat == 'yes' ){
		echo '<a class="category-link" href="'. esc_url( get_category_link( $cat_ID ) ) .'">'. esc_html( get_cat_name( $cat_ID ) ) .'</a>';	
	}
	else{
		mixano_first_cat_link( true );
	}
	
}


/*
=================================================================================================================
mixano_categories - Add custom link class to post categories and output them
=================================================================================================================
*/
function mixano_categories( $id ){
	$categories = get_the_terms ( $id, 'category' ); 
	
	echo '<div class="post-category single">';
	foreach ( $categories as $category ){
		$url = get_category_link( $category->term_id );
		echo '<a class="category-link" href="'. esc_url( $url ) .'"> '. esc_html( $category->name ) .'</a>';
	}
	echo '</div>';
}

/*
=================================================================================================================
mixano_get_comments_number - Output the number of comments for a post
=================================================================================================================
*/
function mixano_get_comments_number(){
	printf( 
	/* translators: number of comments */
		esc_html( _n( '%1$s Comment ', '%1$s Comments ', get_comments_number(), 'mixano' ) ), 
		esc_html( number_format_i18n( get_comments_number() ) ) 
	);
}

/*
=================================================================================================================
mixano_article_reading_time - Get the aproximate article reading time
=================================================================================================================
*/
function mixano_article_reading_time() {
	global $post;
	$content = get_post_field( 'post_content', $post->ID );
	$word_count = str_word_count( strip_tags( $content ) );
	$readingtime = ceil( $word_count / 200 );
	$timer = ( $readingtime == 1 ) ? esc_attr__( 'Minute','mixano' ) : esc_attr__( 'Minutes','mixano' );
	$totalreadingtime = $readingtime .' '. $timer;
	return $totalreadingtime;
}

/*
=================================================================================================================
mixano_output_social - Output social
=================================================================================================================
*/
 
function mixano_output_social( $type = 'text' ){
	
	$type = mixano_option( 'social-style' );
	
	if ( $type == 'text' ){
	
		$socials = array( 
			'mixano_facebook' => 	esc_html__( 'FB', 'mixano' ),
			'mixano_twitter' =>  	esc_html__( 'TW', 'mixano' ), 
			'mixano_youtube' =>  	esc_html__( 'YT', 'mixano' ),
			'mixano_linkedin' =>  	esc_html__( 'LI', 'mixano' ),
			'mixano_pinterest' =>   esc_html__( 'PI', 'mixano' ),
			'mixano_dribbble' =>  	esc_html__( 'DR', 'mixano' ),
			'mixano_instagram' =>   esc_html__( 'IN', 'mixano' ),
			'mixano_behance' =>  	esc_html__( 'BE', 'mixano' ),
			'mixano_patreon' =>  	esc_html__( 'PA', 'mixano' ),
			'mixano_telegram' =>  	esc_html__( 'TL', 'mixano' ),
			'mixano_twitch' =>  	esc_html__( 'TWI', 'mixano' ),
			'mixano_tiktok' =>  	esc_html__( 'TK', 'mixano' ),
		);
		
		foreach ( $socials as $key => $value ){
			$get_social = mixano_option( $key );
			if ( !empty( $get_social ) ){
					echo '<li><a href="'.esc_url( $get_social ).'" aria-label="'.esc_attr( $key ).'" target="_blank">'. esc_html( $value ) .'</a></li>'; // phpcs:ignore
			}
		}
	}
	else{
		$socials = array( 
			'mixano_facebook' => 	mixano_brands_svg( 'facebook', false ),
			'mixano_twitter' =>  	mixano_brands_svg( 'twitter', false ), 
			'mixano_youtube' =>  	mixano_brands_svg( 'youtube', false ),
			'mixano_linkedin' =>  	mixano_brands_svg( 'linkedin', false ),
			'mixano_pinterest' =>   mixano_brands_svg( 'pinterest', false ),
			'mixano_dribbble' =>  	mixano_brands_svg( 'dribbble', false ),
			'mixano_instagram' =>   mixano_brands_svg( 'instagram', false ),
			'mixano_behance' =>  	mixano_brands_svg( 'behance', false ),
			'mixano_patreon' =>  	mixano_brands_svg( 'patreon', false ),
			'mixano_telegram' =>  	mixano_brands_svg( 'telegram', false ),
			'mixano_twitch' =>  	mixano_brands_svg( 'twitch', false ),
			'mixano_tiktok' =>  	mixano_brands_svg( 'tiktok', false ),
		);	
		
		foreach ( $socials as $key => $value ){
			$get_social = mixano_option( $key );
			if ( !empty( $get_social ) ){
					echo '<li><a href="'.esc_url( $get_social ).'" aria-label="'.esc_attr( $key ).'" target="_blank">'. $value  .'</a></li>'; // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped
					// mixano_brands_svg() ( which is $value in this case ) - safely escaped in functions/svg-brands.php 
			}
		}		
		
	}
}


/*
=================================================================================================================
mixano_author_avatar - Get author avatar
=================================================================================================================
*/
function mixano_author_avatar( $size = 80 ){
	$author_id = get_the_author_meta('ID'); 
	$avatar = get_avatar( $author_id );  
	return get_avatar( $author_id, $size , '', get_the_author_meta('nickname')  ); // get_avatar() -> escaped in WordPress Core
}

/*
=================================================================================================================
mixano_author_info - Get author info
=================================================================================================================
*/
function mixano_author_info( $value ){
	$user_id = get_the_author_meta('ID');
	$get_user_meta = get_user_meta( $user_id );
	if ( !empty ( $get_user_meta[$value][0] ) ){
		return $get_user_meta[$value][0];
	}
	return false;
}

/*
=================================================================================================================
wow_output_social_author - Output social for author
=================================================================================================================
*/
 
function mixano_output_social_author( $type = 'text' ){
	
	$type = mixano_option( 'social-style' );
	
	if ( $type == 'text' ){
	
		$socials = array( 
			'website' => 	esc_html__( 'Web', 'mixano' ), 
			'facebook' => 	esc_html__( 'Fb', 'mixano' ),
			'twitter' => 	esc_html__( 'Tw', 'mixano' ),
			'youtube' => 	esc_html__( 'Yt', 'mixano' ),
			'linkedin' => 	esc_html__( 'Li', 'mixano' ),
			'pinterest' => 	esc_html__( 'Pi', 'mixano' ),
			'dribbble' => 	esc_html__( 'Dr', 'mixano' ),
			'instagram' => 	esc_html__( 'In', 'mixano' ),
			'behance' =>	esc_html__( 'Be', 'mixano' ),
		);

		echo '<ul class="social-profiles">';

		$user_id   = get_the_author_meta('ID');
		
		foreach ( $socials as $key => $value ){
			
			$get_social = get_user_meta( $user_id, $key, true );
			
			if ( !empty( $get_social ) ){
				echo '<li><a href="'.esc_url( $get_social ).'" aria-label="'.esc_attr( $key ).'" target="_blank">'. esc_html ( $value ) .'</a></li>'; 
			}
		}
		echo '</ul>';
	
	}
	else{
		$socials = array( 
			'website' => 	mixano_svg( 'link', false ),
			'facebook' => 	mixano_brands_svg( 'facebook', false ),
			'twitter' =>  	mixano_brands_svg( 'twitter', false ), 
			'youtube' =>  	mixano_brands_svg( 'youtube', false ),
			'linkedin' =>  	mixano_brands_svg( 'linkedin', false ),
			'pinterest' =>   mixano_brands_svg( 'pinterest', false ),
			'dribbble' =>  	mixano_brands_svg( 'dribbble', false ),
			'instagram' =>   mixano_brands_svg( 'instagram', false ),
			'behance' =>  	mixano_brands_svg( 'behance', false ),
		);

		echo '<ul class="social-profiles '. esc_attr( $type ) .'">';

		$user_id   = get_the_author_meta('ID');
		
		foreach ( $socials as $key => $value ){
			
			$get_social = get_user_meta( $user_id, $key, true );
			
			if ( !empty( $get_social ) ){
				echo '<li><a href="'.esc_url( $get_social ).'" aria-label="'.esc_attr( $key ).'" target="_blank">'. $value .'</a></li>';// phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped
					// mixano_brands_svg() ( which is $value in this case ) - safely escaped in functions/svg-brands.php  
			}
		}
		echo '</ul>';		
	}
	
}

/*
=================================================================================================================
mixano_output_social_share() - Output social share
=================================================================================================================
*/
function mixano_output_social_share( $type = 'text' ){
global $post;
//post thumbnail
$post_thumbnail_arr = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'full-single' );
$post_thumbnail = $post_thumbnail_arr[0];

$type = mixano_option( 'social-style' );
?>
<?php if( $type == 'text' ) { ?>
<ul class="social-profiles share"><!-- social-share -->	
	<li><?php echo esc_html__( 'Share article', 'mixano' ); ?></li>
	<li>
		<a target="_blank" data-post-id="<?php echo( esc_attr( $post->ID ) );?>" href="<?php echo esc_url( 'https://www.facebook.com/sharer/sharer.php?u='.urlencode( get_permalink() ) ); ?>" aria-label="<?php esc_attr_e( 'Share article to Facebook','mixano' ); ?>" class="facebook">
			<?php esc_html_e( 'Fb','mixano' ); ?>
		</a>
	</li>
			
	<li>
		<a target="_blank" data-post-id="<?php echo( esc_attr( $post->ID ) );?>" href="<?php echo esc_url( 'https://twitter.com/intent/tweet?text='.urlencode( get_the_title() ).'&amp;url='.urlencode( get_permalink() ) ); ?>" aria-label="<?php esc_attr_e( 'Share article to Twitter','mixano' ); ?>" class="twitter">
			<?php esc_html_e( 'Tw','mixano' ); ?>
		</a>
	</li>
			
	<li>
		<a target="_blank" data-post-id="<?php echo( esc_attr( $post->ID ) );?>" href="<?php echo esc_url( 'https://pinterest.com/pin/create/button/?url=' . urlencode( get_permalink() ) . '&amp;description=' . urlencode( get_the_title() ) . ( esc_attr($post_thumbnail ) ? '&amp;media=' . urlencode( esc_attr( $post_thumbnail ) ) : '' ) ); ?>" aria-label="<?php esc_attr_e( 'Share article to Pinterest','mixano' ); ?>" class="pinterest">
			<?php esc_html_e( 'Pi','mixano' ); ?>
		</a>
	</li>
			
	<li>
		<a target="_blank" data-post-id="<?php echo( esc_attr( $post->ID ) );?>" href="<?php echo esc_url( 'https://www.linkedin.com/shareArticle?mini=true&url='.urlencode( get_permalink() ).'&amp;title='.urlencode( get_the_title() ) ); ?>&amp;summary=<?php echo esc_attr( urlencode( get_the_excerpt() ) ); ?>" aria-label="<?php esc_attr_e( 'Share article to LinkedIn','mixano' ); ?>" class="linkedin">
				<?php esc_html_e( 'Li','mixano' ); ?>
			</a>
	</li>	
	
	<li>
		<a target="_blank" data-post-id="<?php echo( esc_attr( $post->ID ) );?>" href="mailto:?subject=<?php echo esc_attr( urlencode( get_the_title() ) ); ?>&body=<?php echo esc_url( get_permalink() ); ?>" aria-label="<?php esc_attr_e( 'Share article to mail','mixano' ); ?>" class="mail">
				<?php esc_html_e( 'Mail','mixano' ); ?>
			</a>
	</li>
</ul><!--/ social-share -->
<?php } //end if $type = text

else{ ?>

<ul class="social-profiles share icons-style"><!-- social-share -->	
	<li><?php echo esc_html__( 'Share article', 'mixano' ); ?></li>
	<li>
		<a target="_blank" data-post-id="<?php echo( esc_attr( $post->ID ) );?>" href="<?php echo esc_url( 'https://www.facebook.com/sharer/sharer.php?u='.urlencode( get_permalink() ) ); ?>" aria-label="<?php esc_attr_e( 'Share article to Facebook','mixano' ); ?>" class="facebook">
			<?php mixano_brands_svg( 'facebook' ); ?>
		</a>
	</li>
			
	<li>
		<a target="_blank" data-post-id="<?php echo( esc_attr( $post->ID ) );?>" href="<?php echo esc_url( 'https://twitter.com/intent/tweet?text='.urlencode( get_the_title() ).'&amp;url='.urlencode( get_permalink() ) ); ?>" aria-label="<?php esc_attr_e( 'Share article to Twitter','mixano' ); ?>" class="twitter">
			<?php mixano_brands_svg( 'twitter' ); ?>
		</a>
	</li>
			
	<li>
		<a target="_blank" data-post-id="<?php echo( esc_attr( $post->ID ) );?>" href="<?php echo esc_url( 'https://pinterest.com/pin/create/button/?url=' . urlencode( get_permalink() ) . '&amp;description=' . urlencode( get_the_title() ) . ( esc_attr($post_thumbnail ) ? '&amp;media=' . urlencode( esc_attr( $post_thumbnail ) ) : '' ) ); ?>" aria-label="<?php esc_attr_e( 'Share article to Pinterest','mixano' ); ?>" class="pinterest">
			<?php mixano_brands_svg( 'pinterest' ); ?>
		</a>
	</li>
			
	<li>
		<a target="_blank" data-post-id="<?php echo( esc_attr( $post->ID ) );?>" href="<?php echo esc_url( 'https://www.linkedin.com/shareArticle?mini=true&url='.urlencode( get_permalink() ).'&amp;title='.urlencode( get_the_title() ) ); ?>&amp;summary=<?php echo esc_attr( urlencode( get_the_excerpt() ) ); ?>" aria-label="<?php esc_attr_e( 'Share article to LinkedIn','mixano' ); ?>" class="linkedin">
				<?php mixano_brands_svg( 'linkedin' ); ?>
			</a>
	</li>	
	
	<li>
		<a target="_blank" data-post-id="<?php echo( esc_attr( $post->ID ) );?>" href="mailto:?subject=<?php echo esc_attr( urlencode( get_the_title() ) ); ?>&body=<?php echo esc_url( get_permalink() ); ?>" aria-label="<?php esc_attr_e( 'Share article to mail','mixano' ); ?>" class="mail">
				<?php mixano_svg( 'mail-unread-line' ); ?>
			</a>
	</li>
</ul><!--/ social-share -->


<?php }//end if $type = 'icons' ?>


<?php 
}

/*
=================================================================================================================
mixano_enable_threaded_comments() - Threaded Comments
=================================================================================================================
*/
function mixano_enable_threaded_comments(){
	if ( !is_admin() ) {
		if ( is_singular() && comments_open() && ( get_option( 'thread_comments' ) == 1 ) ) {
			wp_enqueue_script('comment-reply');
		}
	}
}
add_action( 'get_header', 'mixano_enable_threaded_comments');

/*
=================================================================================================================
mixano_get_the_post_id() - Return the post/page id inside or outside the loop
=================================================================================================================
*/
function mixano_get_the_post_id() {
  if ( in_the_loop() ) {
       $post_id = get_the_ID();
  } else {
       global $wp_query;
       $post_id = $wp_query->get_queried_object_id();
         }
  return $post_id;
}


/*
=================================================================================================================
mixano_build_cat_itemprop() - Build category breacrumbs
=================================================================================================================
*/
function mixano_build_cat_itemprop() {
    $breadcrumbs = array();
    $category_count = 0;
    $parent_arrive = 0;
	
	//return early if attachemnt
	if ( is_attachment() ){ return false; }
	
	if (is_single()) {
        $post_data = get_queried_object();
        $breadcrumbs[$category_count]['id'] = $post_data->ID;
        $breadcrumbs[$category_count]['name'] = $post_data->post_title;
        $category_count++;
        $current_category = get_the_category();
        $current_category_id = $current_category[0]->term_id;
        $category = get_category($current_category_id);
    } else {
        $category = get_category(get_query_var('cat'));
    }
    $breadcrumbs[$category_count]['id'] = $category->term_id;
    $breadcrumbs[$category_count]['name'] = $category->name;
    $category_count++;
    while( $parent_arrive == 0 ) {
        if ($category->category_parent == 0) {
          $parent_arrive = 1;
        } else {
          $breadcrumbs[$category_count]['id'] = $category->category_parent;
          $category = get_category($category->category_parent);
          $breadcrumbs[$category_count]['name'] = $category->name;
        }
      $category_count++;
    }
    $breadcrumbs = array_reverse($breadcrumbs);
    return $breadcrumbs;
}

/*
=================================================================================================================
mixano_cat_breadcrumb() - Output category breacrumbs itemprop
=================================================================================================================
*/
function mixano_cat_breadcrumb(){
	//return early if attachemnt
	if ( is_attachment() ){ return false; }
	
	//allowed html tags
	$allowed_html = 
		array(
		'svg' => array(
			'class' => array(),
			'xmlns' => array(),
			'viewBox' => array()
		),
		'g' => array(),
		'path' => array(
			'd' => array(),
		),		
	);
	
	$breadcrumbs = mixano_build_cat_itemprop(); ?>
<ul itemscope itemtype="http://schema.org/BreadcrumbList" class="breadcrumb theme">
	  <li itemprop="itemListElement" itemscope itemtype="http://schema.org/ListItem">
      <a itemprop="item" href="<?php echo esc_url( site_url() ); ?>">
        <span itemprop="name"><?php echo esc_html__( 'Home','mixano' ); ?></span>
      </a>
		  <meta itemprop="position" content="1" />
		</li>
		<li><?php echo mixano_svg('arrow-right-s-line', false); //safely escaped function ?></li>
	
	<?php 
	if ( is_single() ) { array_pop( $breadcrumbs ); } 
	$page_nr = get_query_var('paged') > 0 ?  get_query_var('paged') : ''; 
	?>
	
    <?php
	$counter = 1;
	foreach ( $breadcrumbs as $breadcrumb_index => $breadcrumb ) { ?>
	 
		<?php if ( $counter > 1 ) { ?>
			<li><?php echo mixano_svg('arrow-right-s-line', false); //safely escaped function ?></li>
			<?php } $counter++; ?>	       
			  <li itemprop="itemListElement" itemscope itemtype="http://schema.org/ListItem">
				<a itemprop="item" href="<?php echo esc_url( get_category_link($breadcrumb['id'] ) ); ?>">
				  <span itemprop="name"><?php echo esc_html( $breadcrumb['name'] ); ?></span>
				</a>
				<meta itemprop="position" content="<?php echo esc_attr( $breadcrumb_index ) + 2; ?>" />
			  </li>
	<?php  } ?>
		
	<?php if( $page_nr ){ ?>
		<li><?php echo mixano_svg('arrow-right-s-line', false); //safely escaped function ?></li>  
		<li>
			<?php echo ' '.esc_html__( 'Page','mixano' ) . ' ' . esc_html( $page_nr ); ?>
		</li>						
	<?php } ?>
		
	<?php if ( is_single() ){ ?>		
	  <li>
		<?php echo mixano_svg('arrow-right-s-line', false); //safely escaped function ?><?php the_title(); ?>
	  </li>	
	<?php	} ?>
</ul>

<?php }


/*
=================================================================================================================
mixano_breadcrumb() - Breadcrumb navigation
=================================================================================================================
*/
function mixano_breadcrumb() {
	if ( !is_front_page() ) {
	
	echo '<ul class="breadcrumb theme">';
	echo '<li><a href="';
	echo esc_url( home_url( '/' )  );
	echo '">';
	echo esc_html__( 'Home','mixano' );
	echo '</a></li>' .  mixano_svg('arrow-right-s-line', false); //safely escaped function 
	if ( is_day() ) {
		echo '<li>'.esc_html( get_the_time('d') ).' '.esc_html( get_the_time('F') ).' '.esc_html( get_the_time('Y') ).'</li>';
	} elseif ( is_month() ) {
		echo '<li>'.esc_html( get_the_time('F') ).' '.esc_html( get_the_time('Y') ).'</li>';
	} elseif ( is_year() ) {
		echo'<li>'. esc_html( get_the_time('Y') ).'</li>';
	} elseif ( is_tag() ){
		echo '<li>'.esc_html( single_tag_title( '',false ) ).'</li>';
	}
	elseif ( is_page() ) {
		echo '<li>'.esc_html( get_the_title() ).'</li>';
	} elseif ( is_search() ) {
		echo '<li>'.esc_html__( 'Search results for ','mixano' );
		echo esc_html( the_search_query() ).'</li>';
	}
	echo '</ul>';
	}
}

/*
=================================================================================================================
mixano_is_home_or_front() - Check if home or front page
=================================================================================================================
*/ 
function mixano_is_home_or_front(){
	if ( is_front_page() ){
		return true;
	}
	if ( is_home() ){
		return true;
	}
}

/*
=================================================================================================================
Function mixano_hex() - convert hex 2 rgba
=================================================================================================================
*/
function mixano_hex( $hex, $alpha = 1 ){
	$hex = str_replace('#', '', $hex);
	$r = $g = $b = 0;

	switch(strlen($hex)){
		case 3:
			list($r, $g, $b) = str_split($hex);
			$r = hexdec($r.$r);
			$g = hexdec($g.$g);
			$b = hexdec($b.$b);
			break;
		case 6:
			list($r1, $r2, $g1, $g2, $b1, $b2) = str_split($hex);
			$r = hexdec($r1.$r2);
			$g = hexdec($g1.$g2);
			$b = hexdec($b1.$b2);
			break;
		default:
			break;
	}

	return 'rgba('.$r.', '.$g.', '.$b.', '.$alpha.')';
}

/*
=================================================================================================================
mixano_page_menu_args() - Show home link in page menu
=================================================================================================================
*/
function mixano_page_menu_args( $args ) {
	$args['show_home'] = true;
	return $args;
}
add_filter( 'wp_page_menu_args', 'mixano_page_menu_args' );

/*
=================================================================================================================
mixano_display_header() - Display theme header
=================================================================================================================
*/
function mixano_display_header(){ ?>

		<div class="logo">
			<?php if ( function_exists( 'the_custom_logo' ) ) { the_custom_logo(); } ?>
			<h1 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
			<p class="site-description"><?php bloginfo( 'description' ); ?></p>
		</div>
		
		<nav class="primary" id="main-nav" role="navigation" itemscope="itemscope" itemtype="http://schema.org/SiteNavigationElement"  aria-label="<?php esc_attr_e( 'Primary Menu', 'mixano' ); ?>">
			
			<button class="mobile-menu-icon mobile-trigger mobile-trigger--slider" aria-label="<?php esc_attr_e( 'Open mobile menu','mixano' ) ?>" aria-controls="primary" aria-expanded="false">		  
				<span class="mobile-trigger-box">
					<span class="mobile-trigger-inner"></span>
					<span class="screen-reader-text"><?php esc_html_e('Menu','mixano') ?></span>
				</span>
			</button>
		
		<?php wp_nav_menu( array( 'theme_location' => 'primary', 'menu_id' => 'primary', 'menu_class' => 'menu', 'container' => '', ) ); ?>
		
		</nav>
		
		 <div class="progress-container-holder">
			 <div class="progress-container">
				<div class="progress-bar" id="scroll-progress"></div>
			</div>
		</div>
		
		<div class="action-bar">
			<?php if ( mixano_option( 'enable-social' ) == 1  ) { 
				$type = mixano_option( 'social-style' );
			?>
				<ul class="social-profiles <?php echo esc_attr( $type ); ?>">
					<?php mixano_output_social(); ?>
				</ul>
			<?php } ?>
			<?php if ( mixano_option( 'enable-author' ) == 1  ) { ?>
				<div class="author-list">
						<?php mixano_output_authors(); ?>
				</div>
			<?php } ?>
			<div class="search-button">
				<ul>
					<li><a href="#" class="search-trigger" aria-label="<?php esc_attr_e('Search website','mixano') ?>"><?php mixano_svg( 'search-line' ) ; ?></a></li>
				</ul>
			</div>
		</div>
		
		<div class="search-mobile">
			<button class="search-trigger mobile" aria-label="<?php esc_attr_e( 'Search website','mixano' ) ?>"><?php mixano_svg( 'search-line' ); ?></button>
		</div>
	
<?php }


/*
=================================================================================================================
mixano_output_authors - Output authors list
=================================================================================================================
*/
function mixano_output_authors(){
	$users = get_users( array('role__in' => array('contributor', 'author', 'editor', 'administrator')  ) );
	if ( !empty( $users ) && is_array ( $users ) ){ ?>
		<div class="nav">
			<ul class="menu">
				<li class="menu-item menu-item-has-children author"><a class="author-dropdown"><?php mixano_svg( 'user-line' ) ; ?></a>
					<ul class="sub-menu">
						<?php foreach ( $users as $user ){ 
							$post_count = count_user_posts( $user->ID  );
							if ( $post_count > 0 ) {
						
						?>			
						<li class="menu-item">
							<a href="<?php echo esc_url( get_author_posts_url( $user->ID ) ); ?>" class="menu-link sub-menu-link"><?php echo esc_html( $user->nickname ); ?></a>
						</li>

<?php 
							} // end if post count
						} //end foreach
?>
					</ul>
				</li>
			</ul>
		</div>	
 		
<?php 	} // end if ! empty users
		
}

/*
=================================================================================================================
wp_body_open() - for backward compatibility - this function was only introduced in WordPress 5.2
=================================================================================================================
*/
if ( ! function_exists( 'wp_body_open' ) ) {
	function wp_body_open() { // phpcs:ignore WPThemeReview.CoreFunctionality.PrefixAllGlobals.NonPrefixedFunctionFound
		do_action( 'wp_body_open' );// phpcs:ignore WPThemeReview.CoreFunctionality.PrefixAllGlobals.NonPrefixedHooknameFound
    }
}

/*
=================================================================================================================
mixano_link_pages() - link pages / posts pagination
=================================================================================================================
*/
function mixano_link_pages(){
	$args = array(
		'before'           => '<div class="pagination content"><ul>',
		'after'            => '</ul></div>',
		'link_before'      => '<li>',
		'link_after'       => '</li>',
	);
	wp_link_pages( $args ); 
}


/*
=================================================================================================================
mixano_dropdown_arrows_in_menus() - add dropdown icons to menu items with sub-menu
=================================================================================================================
*/
function mixano_dropdown_arrows_in_menus( $item_output, $item, $depth, $args ) {

	$sub_menu_icon = !is_rtl() ? mixano_svg('arrow-right-s-line' ,false) : mixano_svg('arrow-left-s-line' ,false);

	if( in_array( 'menu-item-has-children', $item->classes ) ) {
		$arrow = 0 == $depth ? mixano_svg('arrow-down-s-line' ,false) : $sub_menu_icon;
		$item_output = str_replace( '</a>', $arrow . '</a>', $item_output );
	}

	return $item_output;
}
add_filter( 'walker_nav_menu_start_el', 'mixano_dropdown_arrows_in_menus', 10, 4 );


/*
=================================================================================================================
mixano_get_page_nr() - get curent page number of posts pagination
=================================================================================================================
*/
function mixano_get_page_nr() {
	$paged = (get_query_var('paged')) ? get_query_var('paged') : 1;
	return $paged;
}



/*
=================================================================================================================
mixano_body_class() - add specific body classes
=================================================================================================================
*/
function mixano_body_class(){
	$body_classes = array();
	
	//demo purposes
	if ( defined ( 'MIXANO_DEMO' ) ){
		$pages = array( 'top-advertisement' , 'posts-advertisement', 'home-3', 'home-2', 'home-1', 'home-4' );
		foreach ( $pages as $page ){
			if ( is_page ( $page ) ){
				$body_classes[] = 'intro-enabled';
			}
		}

	}
	
	if ( mixano_option( 'enable-intro' ) == 1 && mixano_get_page_nr() == 1 && is_home() || is_front_page() && mixano_option( 'enable-intro' ) == 1 ){
		$body_classes[] = 'intro-enabled';
	}
	
	$body_classes[] = mixano_option( 'blog-layout' );
	
	body_class( $body_classes );
}

/*
=================================================================================================================
mixano_not_mobile() - Return true if is not mobile device
=================================================================================================================
*/
function mixano_not_mobile(){
	if ( !wp_is_mobile() ){
		return true;
	}
	elseif ( wp_is_mobile() ){
		return false;
	}
}

/*
=================================================================================================================
mixano_author_has_details() - Return true if author has description or social profiles
=================================================================================================================
*/
function mixano_author_has_details(){
	$checks = array( 'website', 'facebook' , 'twitter' , 'youtube' , 'linkedin', 'pinterest' , 'dribbble' , 'instagram' , 'behance' , 'description' );
	foreach ( $checks as $check ){
		if ( !empty( mixano_author_info( $check ) ) ){
			return true;
		}
	}
	return false;
}


/*
=================================================================================================================
mixano_has_downloads - Check if a post has downloads
=================================================================================================================
*/
function mixano_has_downloads() {
    $count = get_post_meta( get_the_ID(), 'download-counter', true );
	if ( $count >= 1 ) {
		return true; 
	}
    return false;
}

/*
=================================================================================================================
mixano_get_edd_downloads - Retrieve all easy digital downloads
=================================================================================================================
*/
function mixano_get_edd_downloads(){
	$download = array( 0 => esc_html__( 'Select download' , 'mixano') );
	$args = array( 'post_type' => 'download' );
	$query = new WP_Query( $args );
	if( $query->have_posts() ) {
		while( $query->have_posts() ) {
			$query->the_post();
			$download[get_the_ID()] = get_the_title(); 
		}
	}
	wp_reset_postdata();
	if ( class_exists( 'Easy_Digital_Downloads' ) ){
		return $download;
	}
	return false;
}

/*
=================================================================================================================
mixano_footer_active_sidebar - Check if any sidebar from footer has content
=================================================================================================================
*/
function mixano_footer_active_sidebar(){
	if ( is_active_sidebar( 'footer-widget-area-1' ) || is_active_sidebar( 'footer-widget-area-2' ) || is_active_sidebar( 'footer-widget-area-3' ) || is_active_sidebar( 'footer-widget-area-4' ) ){
		return true;
	}
	return false;
}

/*
=================================================================================================================
mixano_custom_buttons - Check if there are any custom buttons in post meta and output them
=================================================================================================================
*/
function mixano_custom_buttons(){
	global $post;
	$buttons = get_post_meta( get_the_ID(), 'custom-button', true );
	if ( !empty( $buttons ) && is_array( $buttons ) ){
		foreach( $buttons as $button ){
			$target = $button['custom-new-tab'] == 1 ? '_blank' : '_self';
			?>
			<a class="button custom-button" <?php echo 'style="background-color:'. esc_attr( $button['custom-button-bg'] ) .'"'; //escaped above ?> data-post-id="<?php echo( esc_attr( $post->ID ) ); ?>" href="<?php echo esc_url( $button['custom-button-url'] ); ?>" target="<?php echo esc_attr( $target ); ?>"><?php echo esc_html( $button['custom-button-text'] ); ?></a>
	
<?php		}
	}
}