<?php
  // Create a section
  CSF::createSection( $prefix, array(
    'title'  => esc_html__( 'Colors','mixano' ),
    'icon'   => 'fa fa-paint-brush',
    'fields' => array(
	array(
	  'id'        => 'color-scheme',
	  'type'      => 'button_set',
	  'title'     => esc_html__( 'Website main colors','mixano' ),
	  'desc'     => esc_html__( 'Choose from pre-defined color skins, or customize your own','mixano' ),
	  'inline'   => true,
	  'options'   => array(
		'skins' => 'Pre-defined skins',
		'custom' => 'Custom colors',
	  ),
	  'default'   => 'custom'
	),	
	array(
	  'id'      => 'skin-colors',
	  'type'    => 'palette',
	  'title'   => esc_html__( 'Skins','mixano' ),
	  'options' => array(	
		'set1'  => array( '#ff4f37', '#fe803b', '#707182', '#2f3150', '#0e1121' ),
		'set2'  => array( '#E91E63', '#745bff', '#707182', '#5a3038', '#270b1a' ),
		'set3'  => array( '#8BC34A', '#00BCD4', '#707182', '#1d231c', '#191d19' ),
		'set4'  => array( '#ff4364', '#d90429', '#707182', '#2b2d42', '#21181a' ),
		'set5'  => array( '#2196F3', '#07c8f9', '#707182', '#354050', '#0d1927' ),
		'set6'  => array( '#ff9800', '#ff5722', '#707182', '#3c312d', '#1a1412' ),
		'set7'  => array( '#ff4091', '#FFC107', '#707182', '#232252', '#250b1d' ),
	  ),
	  'default' => 'set1',
	 'dependency' => array( 'color-scheme', '==', 'skins' ),
	),
	array(
	  'id'        => 'colors',
	  'type'      => 'color_group',
	  'title'     => esc_html__( 'Colors','mixano' ),
	  'desc' => sprintf( '<strong>%s</strong>%s<br> <strong>%s</strong>%s<br> <strong>%s</strong>%s<br> <strong>%s</strong>%s<br> <strong>%s</strong>%s<br>', 
		esc_html__( 'Main 1', 'mixano' ), 
		esc_html__( ' - This is the main theme color, also the first gradient color', 'mixano' ),		
		esc_html__( 'Main 2', 'mixano' ), 
		esc_html__( ' - This is second main theme color, also the second gradient color', 'mixano' ),		
		esc_html__( 'Body', 'mixano' ), 
		esc_html__( ' - This is the body text color', 'mixano' ),		
		esc_html__( 'Headings', 'mixano' ), 
		esc_html__( ' - This is the headings text color', 'mixano' ),		
		esc_html__( 'Dark backgrounds', 'mixano' ), 
		esc_html__( ' - This is the background color of dark sections. I.e Intro, Footer, Article details, Author Box etc..', 'mixano' )
	 ), 
	  'options'   => array(
		'color-1' => esc_html__( 'Main 1','mixano' ), 
		'color-2' => esc_html__( 'Main 2','mixano' ), 
		'color-3' => esc_html__( 'Body','mixano' ), 
		'color-4' => esc_html__( 'Headings','mixano' ), 
		'color-5' => esc_html__( 'Dark backgrounds','mixano' ), 
	  ),
	  'default'   => array(
		'color-1' => '#ff4f37',
		'color-2' => '#fe803b',
		'color-3' => '#707182',
		'color-4' => '#2f3150',		
		'color-5' => '#0e1121',		
	  )	, 
	  'dependency' => array( 'color-scheme', '==', 'custom' ),
	),	

    )
  ) );