<?php 
  // Create a section
  CSF::createSection( $prefix, array(
    'title'  => esc_html__( 'Intro','mixano' ),
	'icon'   => 'fa fa-bars',
    'fields' => array(	
		array(
		  'id'      => 'enable-intro',
		  'type'    => 'switcher',
		  'title'   => esc_html__( 'Display intro section','mixano' ),
		  'desc'   => esc_html__( 'It will display the intro section bellow header','mixano' ),
		  'default'    => '0',	  
		),			
		array(
		  'id'      => 'welcome-intro',
		  'type'    => 'text',
		  'title'   => esc_html__( 'Vertical text','mixano' ),
		  'desc'   => esc_html__( 'I.e Hello there','mixano' ),
		  'default'    => esc_html__( 'Hello there', 'mixano' ),  
		),		
		array(
		  'id'      => 'welcome-big-intro',
		  'type'    => 'text',
		  'title'   => esc_html__( 'Big text','mixano' ),
		  'desc'   => esc_html__( 'I.e Welcome','mixano' ),
		  'default'    => esc_html__( 'Welcome', 'mixano' ),
		),			
		array(
		  'id'      => 'small-headline-intro',
		  'type'    => 'text',
		  'title'   => esc_html__( 'Small headline','mixano' ),
		  'desc'   => esc_html__( 'Add a small headline. I.e. We are a digital','mixano' ),
		  'default'    => esc_html__( 'Who are we', 'mixano' ),
		),			
		array(
		  'id'      => 'headline-intro',
		  'type'    => 'text',
		  'title'   => esc_html__( 'Headline','mixano' ),
		  'desc'   => esc_html__( 'Add a headline. I.e. We\'re brand builders','mixano' ),
		  'default'    => sprintf( '%s<br>%s<br>%s', esc_html__( 'We\'re' , 'mixano' ), esc_html__( ' brand' , 'mixano' ), esc_html__( ' builders' , 'mixano' ) ),
		),			
		array(
		  'id'      => 'headline-intro-size',
		  'type'    => 'select',
		  'title'   => esc_html__( 'Headline font size','mixano' ),
		  'desc'   => esc_html__( 'Choose size of headline','mixano' ),
		  'options' => array(
			'x-large' =>  esc_html__( 'Extra Large','mixano' ),
			'large' =>  esc_html__( 'Large','mixano' ),
			'medium' =>  esc_html__( 'Medium','mixano' ),
			'small' =>  esc_html__( 'Small','mixano' ),
			'tiny' =>  esc_html__( 'Tiny','mixano' ),
		  ),
		  'default'    => 'x-large',	
		),			
		array(
		  'id'      => 'small-headline-intro-2',
		  'type'    => 'text',
		  'title'   => esc_html__( 'Small headline 2','mixano' ),
		  'desc'   => esc_html__( 'Add a small headline. I.e. What we do','mixano' ),
		  'default'    => esc_html__( 'What we do', 'mixano' ),
		),			
		array(
		  'id'      => 'headline-intro-2',
		  'type'    => 'text',
		  'title'   => esc_html__( 'Headline 2','mixano' ),
		  'desc'   => esc_html__( 'Add a headline. I.e. We collect. Good things. From the web.','mixano' ),
		  'default'    => sprintf( '%s<br>%s<br>%s', esc_html__( 'We collect.' , 'mixano' ), esc_html__( 'Good things.' , 'mixano' ), esc_html__( 'From the web.' , 'mixano' ) ),
		),		
		array(
		  'id'      => 'button-intro',
		  'type'    => 'text',
		  'title'   => esc_html__( 'Button text','mixano' ),
		  'desc'   => esc_html__( 'Add a text on the button. I.e. Explore. Leave blank for no button','mixano' ),
		  'default'    => esc_html__( 'Explore', 'mixano' ),
		),	
		array(
		  'id'      => 'small-headline-intro-3',
		  'type'    => 'text',
		  'title'   => esc_html__( 'Small headline 3','mixano' ),
		  'desc'   => esc_html__( 'Add a small headline. I.e. Visit us','mixano' ),
		  'default'    => esc_html__( 'Visit us', 'mixano' ),
		),			
		array(
		  'id'      => 'headline-intro-3',
		  'type'    => 'text',
		  'title'   => esc_html__( 'Headline 3','mixano' ),
		  'desc'   => esc_html__( 'Add a headline. I.e. Amsterdam 1024 NL, The Netherlands, +(49) 743 819 093','mixano' ),
		  'default'    => sprintf( '%s<br>%s<br>%s', esc_html__( 'Amsterdam 1024 NL,' , 'mixano' ), esc_html__( 'The Netherlands,' , 'mixano' ), esc_html__( '+(49) 743 819 093' , 'mixano' ) ),
		),		
		array(
		  'id'      => 'bg-intro',
		  'type'    => 'background',
		  'title'   => esc_html__( 'Background','mixano' ),
		  'desc'   => esc_html__( 'Add a background to intro section','mixano' ),
		  'default'                         => array(
			'background-color'              => '',
			'background-gradient-color'     => '',
			'background-gradient-direction' => '',
			'background-size'               => '',
			'background-position'           => '',
			'background-repeat'             => '',
			'background-image'             => '',
		  ),			  
		  'output' => ''	  
		),	
		array(
		  'id'      => 'overlay-intro',
		  'type'    => 'color',
		  'title'   => esc_html__( 'Background Overlay','mixano' ),
		  'desc'   => esc_html__( 'Add a background overlay color to intro image','mixano' ),
		  'default' => mixano_hex( mixano_get_dark_color(), .8 ),
		),		
	
    )
  ) );