<?php
/**
 * Template for single post
 *
 * @package Mixano
 * @author wowlayers
 *
 */
get_header();


/* For premium products */
$mixano_premium_ID       = get_post_meta( get_the_ID(), 'premium-download', true );
$mixano_btn_premium      = get_post_meta( get_the_ID(), 'premium-download-text', true );
$mixano_btn_premium_text = $mixano_btn_premium ? $mixano_btn_premium : esc_attr__( 'Buy product','mixano' );

/* For regular freebie */
$mixano_url      = get_post_meta( get_the_ID(), 'download-url', true );
$mixano_target   = get_post_meta( get_the_ID(), 'new-tab', true ) == 1 ? '_blank' : '_self';
$mixano_btn      = get_post_meta( get_the_ID(), 'download-text', true );
$mixano_btn_text = $mixano_btn ? $mixano_btn : esc_attr__( 'Download','mixano' );

/* Single layout */
$mixano_single_layout  = get_post_meta( get_the_ID(), 'blog-single-layout', true );
$mixano_layout = ( $mixano_single_layout != 'default'  && !empty ( $mixano_single_layout ) ) ? $mixano_single_layout : mixano_option( 'blog-single-layout' );

/* Get comments number and add a class to comments-main  */
$mixano_comments = get_comments_number();
$mixano_comments_class = $mixano_comments >= 1 ? 'comments-list' : '';

/* article class */
$mixano_article_classes = 'col-desktop-6 article-image';
?>

<div class="single mixano-row"><!-- start .mixano-row -->
	<div class="article-details col-desktop-6 overlay-text"><!-- start .col-desktop-6 -->
	
		<div class="bg-lines page-container dark"><div></div><div></div><div></div><div></div><div></div></div>
	
		<?php
		if( have_posts() ) {
			while( have_posts() ) {
				the_post(); 
				if ( function_exists( 'mixano_set_post_views' ) ) { 
					mixano_set_post_views();
				}
				?>
				
		<div class="date-published">
			<span class="big"><?php echo esc_html( get_the_date( get_option( 'date_format' ) ) ); ?></span>
		</div>
		
		<div class="big-title secondary-font">
            <span><?php the_title(); ?></span>
        </div>

		<div class="details-inner">
			
			<?php mixano_categories( $post->ID ); ?>
			
			<div class="single-title-holder"><h1 class="article-title"><?php the_title(); ?></h1></div>
			
			<p class="article-info secondary-font">
				<?php if ( mixano_has_downloads() && function_exists( 'mixano_get_downloads' ) ) { ?>
					<span class="downloads"><?php echo esc_html( mixano_get_downloads() ) ; ?></span> | 
				<?php } ?>
				<?php if ( function_exists( 'mixano_get_post_views' ) ) { ?><span class="views"><?php echo esc_html( mixano_get_post_views() ) ; ?></span><?php } ?>
			</p>
			
			<ul class="article-extra">
				<li><?php esc_html_e( 'Author','mixano' ); ?><br><strong><a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ), get_the_author_meta( 'user_nicename' ) ) ); ?>" class="author-link"><?php echo esc_html( get_the_author_meta( 'nickname' ) ); ?></a></strong></li>
				<li><?php esc_html_e( 'Conversation','mixano' ); ?><br><strong><a href="#article-comments" class="go-to-comments"><?php mixano_get_comments_number(); ?></a></strong></li>
				<li><?php esc_html_e( 'Reading','mixano' ); ?><br><strong><?php echo esc_html ( mixano_article_reading_time() ); ?></strong></li>
			</ul>
			
			<div class="download-button" id="download">	
			
				<?php mixano_custom_buttons(); ?>
			
				<?php if ( !empty( $mixano_premium_ID ) && class_exists( 'Easy_Digital_Downloads' ) ) { ?>
				<a class="premium button" href="<?php echo esc_url( get_home_url() ); ?>/checkout?edd_action=add_to_cart&download_id=<?php echo esc_attr( $mixano_premium_ID ); ?>"><?php echo esc_html( $mixano_btn_premium_text ); ?></a><?php } ?>	
				
				<?php if ( $mixano_url  ) { ?>
				<a class="button" data-post-id="<?php echo( esc_attr( $post->ID ) ); ?>" href="<?php echo esc_url( $mixano_url ); ?>" target="<?php echo esc_attr( $mixano_target ); ?>"><?php echo esc_html( $mixano_btn_text ); ?></a>
				<?php } ?>
				
			</div>
			
		</div>
	</div><!-- end .col-desktop-6-->
	
	<div <?php post_class( $mixano_article_classes ); ?>><!-- start .col-desktop-6 -->
		<?php mixano_post_thumb( false,  true , false , false , false ); ?>
	</div><!-- end .col-desktop-6-->
	
</div><!-- /end .mixano-row-->	


<div class="content mixano-row"><!-- start .mixano-row -->
	
	<?php if ( $mixano_layout == 'sidebar' ) 				{ get_template_part( 'templates/content-sidebar' ); } ?>
	<?php if ( $mixano_layout == 'sidebar-fancy' ) 			{ get_template_part( 'templates/content-sidebar-fancy' ); } ?>
	<?php if ( $mixano_layout == 'sidebar-fancy-light' ) 	{ get_template_part( 'templates/content-sidebar-fancy-light' ); } ?>
	<?php if ( $mixano_layout == 'full' )    				{ get_template_part( 'templates/content-full' ); } ?>
	<?php if ( $mixano_layout == 'full-fancy' )    			{ get_template_part( 'templates/content-full-fancy' ); } ?>
	<?php if ( $mixano_layout == 'full-fancy-light' )   	{ get_template_part( 'templates/content-full-fancy-light' ); } ?>

	<div class="comments-main col-desktop-12" id="article-comments">
		<div class="container <?php echo esc_attr( $mixano_comments_class );  ?>">	
			<?php comments_template(); ?>
		</div>
		<div class="container">
			<?php comment_form( mixano_comment_form() ); ?>
		</div>
	</div>


		<?php
			}
			// end while have_posts
		}
		//end if have_posts 
		?>
</div><!-- end .mixano-row -->

<?php get_footer(); ?>